[Touch-packages] [Bug 1787460] Re: Unattended upgrades removed linux-image-generic

2019-03-21 Thread Mathew Hodson
Are we still going to change the section of the metapackages? Those
tasks are still open.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1787460

Title:
  Unattended upgrades removed linux-image-generic

Status in apt package in Ubuntu:
  Fix Released
Status in linux-meta package in Ubuntu:
  Triaged
Status in linux-meta-hwe package in Ubuntu:
  Triaged
Status in apt source package in Trusty:
  Fix Released
Status in linux-meta source package in Trusty:
  New
Status in linux-meta-hwe source package in Trusty:
  New
Status in apt source package in Xenial:
  Fix Released
Status in linux-meta source package in Xenial:
  New
Status in linux-meta-hwe source package in Xenial:
  New
Status in apt source package in Bionic:
  Fix Released
Status in linux-meta source package in Bionic:
  New
Status in linux-meta-hwe source package in Bionic:
  New
Status in apt source package in Cosmic:
  Fix Released
Status in linux-meta source package in Cosmic:
  New
Status in linux-meta-hwe source package in Cosmic:
  New
Status in apt source package in Disco:
  Fix Released
Status in linux-meta source package in Disco:
  Triaged
Status in linux-meta-hwe source package in Disco:
  Triaged

Bug description:
  [Impact]
  If a user accidentally removed linux-generic, unattended-upgrades will also 
autoremove linux-image-generic, leaving them without kernel upgrades.

  [Test Case]
  1. Remove all reverse dependencies of linux-image-generic
  2. Mark linux-image-generic as automatically installed
  3. Run unattended-upgrades -v --dry-run --debug to ensure that 
linux-image-generic is not removed (after verifying that it is, with old apt)

  [Regression potential]
  This adds two regular expressions to the list of packages that must not be 
automatically removed. As such, the only possible regression is that some 
packages starting with linux-image, not containing any dots, are not removed

  [Original bug report]
  On a fairly fresh install of 18.04 with no modifications whatsoever to the 
unattended-upgrades configuration, it decided to remove linux-image-generic 
which also removed linux-modules-extra which caused sound drivers to disappear, 
etc.

  The relative snippet from /var/log/unattended-upgrades/unattended-
  upgrades.log is:

  2018-08-15 06:18:00,048 INFO Starting unattended upgrades script
  2018-08-15 06:18:00,048 INFO Allowed origins are: o=Ubuntu,a=bionic, 
o=Ubuntu,a=bionic-security, o=UbuntuESM,a=bionic
  2018-08-15 06:18:01,552 INFO Removing unused kernel packages: 
linux-headers-generic linux-image-generic linux-headers-4.15.0-32-generic 
linux-headers-4.15.0-32
  2018-08-15 06:18:01,588 WARNING Keeping auto-removable linux-headers-generic 
package(s) because it would also remove the following packages which should be 
kept in this step: libxml2 linux-image-4.15.0-32-generic 
linux-modules-4.15.0-32-generic linux-modules-extra-4.15.0-32-generic
  2018-08-15 06:18:09,476 INFO Packages that were successfully auto-removed: 
linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic linux-headers-generic 
linux-image-generic
  2018-08-15 06:18:09,477 INFO Packages that are kept back: 
linux-headers-generic
  2018-08-15 06:18:10,300 INFO Packages that will be upgraded: libxml2 
linux-image-generic
  2018-08-15 06:18:10,300 INFO Writing dpkg log to 
/var/log/unattended-upgrades/unattended-upgrades-dpkg.log
  2018-08-15 06:18:39,238 INFO All upgrades installed
  2018-08-15 06:18:42,818 INFO Packages that were successfully auto-removed: 
linux-image-generic linux-modules-extra-4.15.0-32-generic
  2018-08-15 06:18:42,818 INFO Packages that are kept back:

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: unattended-upgrades 1.1ubuntu1.18.04.5
  ProcVersionSignature: Ubuntu 4.15.0-32.35-generic 4.15.18
  Uname: Linux 4.15.0-32-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.9-0ubuntu7.3
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Aug 16 13:17:30 2018
  InstallationDate: Installed on 2018-07-24 (23 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180724)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: unattended-upgrades
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1787460/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1372096] Re: [BM367AA-AC4 s5520br, Realtek ALC662 rev1, Green Line Out, Rear] No sound at all

2019-03-21 Thread Launchpad Bug Tracker
[Expired for pulseaudio (Ubuntu) because there has been no activity for
60 days.]

** Changed in: pulseaudio (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1372096

Title:
  [BM367AA-AC4 s5520br, Realtek ALC662 rev1, Green Line Out, Rear] No
  sound at all

Status in pulseaudio package in Ubuntu:
  Expired

Bug description:
  .

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pulseaudio 1:4.0-0ubuntu11
  ProcVersionSignature: Ubuntu 3.13.0-35.62-generic 3.13.11.6
  Uname: Linux 3.13.0-35-generic i686
  ApportVersion: 2.14.1-0ubuntu3.4
  Architecture: i386
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1843 F pulseaudio
  CurrentDesktop: Unity
  Date: Sun Sep 21 10:19:07 2014
  InstallationDate: Installed on 2014-07-21 (62 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release i386 (20131016.1)
  ProcEnviron:
   LANGUAGE=pt_BR:pt:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=pt_BR.UTF-8
   SHELL=/bin/bash
  SourcePackage: pulseaudio
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel successful
  Symptom_Card: Áudio interno - HDA Intel
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1843 F pulseaudio
  Symptom_Jack: Green Line Out, Rear
  Symptom_PulsePlaybackTest: PulseAudio playback test failed
  Symptom_Type: No sound at all
  Title: [BM367AA-AC4 s5520br, Realtek ALC662 rev1, Green Line Out, Rear] No 
sound at all
  UpgradeStatus: Upgraded to trusty on 2014-08-14 (38 days ago)
  dmi.bios.date: 11/30/2009
  dmi.bios.vendor: Phoenix Technologies, LTD
  dmi.bios.version: 5.28
  dmi.board.name: Boston
  dmi.board.vendor: MSI
  dmi.board.version: 1.0
  dmi.chassis.type: 3
  dmi.chassis.vendor: Hewlett-Packard
  dmi.modalias: 
dmi:bvnPhoenixTechnologies,LTD:bvr5.28:bd11/30/2009:svnHP-Pavilion:pnBM367AA-AC4s5520br:pvr:rvnMSI:rnBoston:rvr1.0:cvnHewlett-Packard:ct3:cvr:
  dmi.product.name: BM367AA-AC4 s5520br
  dmi.sys.vendor: HP-Pavilion

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1372096/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1812502] Re: Bluetooth audio skips when waking a bluetooth mouse

2019-03-21 Thread Launchpad Bug Tracker
[Expired for pulseaudio (Ubuntu) because there has been no activity for
60 days.]

** Changed in: pulseaudio (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1812502

Title:
  Bluetooth audio skips when waking a bluetooth mouse

Status in bluez package in Ubuntu:
  Expired
Status in pulseaudio package in Ubuntu:
  Expired

Bug description:
  When I use my Bluetooth A2DP headset together with my mouse, I notice
  this:

  Whenever I leave the mouse still for a few seconds (it seems to enter
  some kind of lower-power-mode) and then start to move it, my music
  most of the time skips for a second. This makes using these two
  bluetooth devices together quite annoying...

  It exists with every bluetooth adapter and any mouse.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: bluez 5.50-0ubuntu1
  ProcVersionSignature: Ubuntu 4.18.0-13.14-generic 4.18.17
  Uname: Linux 4.18.0-13-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Jan 19 18:59:22 2019
  InstallationDate: Installed on 2019-01-19 (0 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  InterestingModules: rfcomm bnep btusb bluetooth
  MachineType: TOSHIBA Satellite Radius P55W-B
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-13-generic 
root=UUID=c23973fb-1c63-4119-86be-0b17173e5a2a ro quiet splash acpi_osi=Linux 
"acpi_osi=!Windows 2012" acpi=force acpi_enforce_resources=lax 
i915.enable_rc6=1 i915.enable_fbc=1 i915.lvds_downclock=1 i915.semaphores=1 
drm.vblankoffdelay=1 acpi_backlight=vendor vt.handoff=1
  SourcePackage: bluez
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/23/2014
  dmi.bios.vendor: INSYDE Corp.
  dmi.bios.version: 1.60
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: Type2 - Board Product Name1
  dmi.board.vendor: Type2 - Board Vendor Name1
  dmi.board.version: Type2 - Board Version
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: OEM Chassis ManuFacturer
  dmi.chassis.version: OEM Chassis Version
  dmi.modalias: 
dmi:bvnINSYDECorp.:bvr1.60:bd12/23/2014:svnTOSHIBA:pnSatelliteRadiusP55W-B:pvrPSVP2U-003004:rvnType2-BoardVendorName1:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnOEMChassisManuFacturer:ct10:cvrOEMChassisVersion:
  dmi.product.family: INVALID
  dmi.product.name: Satellite Radius P55W-B
  dmi.product.sku: INVALID
  dmi.product.version: PSVP2U-003004
  dmi.sys.vendor: TOSHIBA
  hciconfig:
   hci0:Type: Primary  Bus: USB
BD Address: E8:2A:EA:6E:E5:28  ACL MTU: 1021:5  SCO MTU: 96:5
UP RUNNING PSCAN ISCAN INQUIRY 
RX bytes:309822 acl:9284 sco:0 events:14449 errors:0
TX bytes:9130591 acl:13720 sco:0 commands:309 errors:0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1812502/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1812502] Re: Bluetooth audio skips when waking a bluetooth mouse

2019-03-21 Thread Launchpad Bug Tracker
[Expired for bluez (Ubuntu) because there has been no activity for 60
days.]

** Changed in: bluez (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1812502

Title:
  Bluetooth audio skips when waking a bluetooth mouse

Status in bluez package in Ubuntu:
  Expired
Status in pulseaudio package in Ubuntu:
  Expired

Bug description:
  When I use my Bluetooth A2DP headset together with my mouse, I notice
  this:

  Whenever I leave the mouse still for a few seconds (it seems to enter
  some kind of lower-power-mode) and then start to move it, my music
  most of the time skips for a second. This makes using these two
  bluetooth devices together quite annoying...

  It exists with every bluetooth adapter and any mouse.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: bluez 5.50-0ubuntu1
  ProcVersionSignature: Ubuntu 4.18.0-13.14-generic 4.18.17
  Uname: Linux 4.18.0-13-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Jan 19 18:59:22 2019
  InstallationDate: Installed on 2019-01-19 (0 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  InterestingModules: rfcomm bnep btusb bluetooth
  MachineType: TOSHIBA Satellite Radius P55W-B
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-13-generic 
root=UUID=c23973fb-1c63-4119-86be-0b17173e5a2a ro quiet splash acpi_osi=Linux 
"acpi_osi=!Windows 2012" acpi=force acpi_enforce_resources=lax 
i915.enable_rc6=1 i915.enable_fbc=1 i915.lvds_downclock=1 i915.semaphores=1 
drm.vblankoffdelay=1 acpi_backlight=vendor vt.handoff=1
  SourcePackage: bluez
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/23/2014
  dmi.bios.vendor: INSYDE Corp.
  dmi.bios.version: 1.60
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: Type2 - Board Product Name1
  dmi.board.vendor: Type2 - Board Vendor Name1
  dmi.board.version: Type2 - Board Version
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: OEM Chassis ManuFacturer
  dmi.chassis.version: OEM Chassis Version
  dmi.modalias: 
dmi:bvnINSYDECorp.:bvr1.60:bd12/23/2014:svnTOSHIBA:pnSatelliteRadiusP55W-B:pvrPSVP2U-003004:rvnType2-BoardVendorName1:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnOEMChassisManuFacturer:ct10:cvrOEMChassisVersion:
  dmi.product.family: INVALID
  dmi.product.name: Satellite Radius P55W-B
  dmi.product.sku: INVALID
  dmi.product.version: PSVP2U-003004
  dmi.sys.vendor: TOSHIBA
  hciconfig:
   hci0:Type: Primary  Bus: USB
BD Address: E8:2A:EA:6E:E5:28  ACL MTU: 1021:5  SCO MTU: 96:5
UP RUNNING PSCAN ISCAN INQUIRY 
RX bytes:309822 acl:9284 sco:0 events:14449 errors:0
TX bytes:9130591 acl:13720 sco:0 commands:309 errors:0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1812502/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1679307] Re: [XPS 15 9560, Realtek ALC3266, Black Headphone Out, Left] No sound at all

2019-03-21 Thread Stephen
I use Ubuntu 18.04 (Linux version 4.15.0-46-generic
(buildd@lgw01-amd64-038) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3))
#49-Ubuntu SMP Wed Feb 6 09:33:07 UTC 2019) and I also have this issue.


This command (as given above):

alsactl restore

does work for me ... until it happens again. And then I just use the
command again. It would be nice for this to be resolved.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1679307

Title:
  [XPS 15 9560, Realtek ALC3266, Black Headphone Out, Left] No sound at
  all

Status in alsa-driver package in Ubuntu:
  Invalid

Bug description:
  My speakers are working on my Dell XPS 15 9560. But when I connect
  headphones to the computer there is no sound at all. Tried different
  headphones that should work.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.8.0-45.48-generic 4.8.17
  Uname: Linux 4.8.0-45-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  klas   2471 F pulseaudio
  CurrentDesktop: Unity
  Date: Mon Apr  3 22:44:05 2017
  InstallationDate: Installed on 2017-03-22 (12 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  klas   2471 F pulseaudio
  Symptom_Jack: Black Headphone Out, Left
  Symptom_Type: No sound at all
  Title: [XPS 15 9560, Realtek ALC3266, Black Headphone Out, Left] No sound at 
all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 01/18/2017
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.1.3
  dmi.board.name: 05FFDN
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.1.3:bd01/18/2017:svnDellInc.:pnXPS159560:pvr:rvnDellInc.:rn05FFDN:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.name: XPS 15 9560
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1679307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1821269] Re: [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch (4-pole combo jack mic doesn't detect)

2019-03-21 Thread Daniel van Vugt
For a 4-pole combo jack to work you need:

1. To be sure the laptop's socket supports 4 poles (is there a headset
icon next to it?); and

2. To be sure your headset uses the same standard as the laptop.
Unfortunately there are at least two different and incompatible
standards for 4-poles ("TRRS"):

https://www.cablechick.com.au/blog/understanding-trrs-and-audio-jacks/

I can't find any detailed specs or photos of that laptop. If you are
sure there's a headset icon next to the port then my next suggestion
would be to try a different type of headset (a PC headset instead of
Apple, or vice versa).

** Changed in: alsa-driver (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1821269

Title:
  [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch (4-pole
  combo jack mic doesn't detect)

Status in alsa-driver package in Ubuntu:
  Incomplete

Bug description:
  I use realtek alc255 analog audio jack. External jack is 4 pole combo(apple 
type. not europe type.).
  When I plug 4 pole mic into jack, It doesn't detect.
  So I can't my voice through external mic.

  My laptop has internal mic. It belongs to Intel sound(HDA Intel PCH. Audio 
device: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx 
Series High Definition Audio Controller (rev 21)).
  Internal mic works well.

  Please check 4pole external mic detection.

  Thank you.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-46.49-generic 4.15.18
  Uname: Linux 4.15.0-46-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC0D0c:   jimnong1441 F...m pulseaudio
   /dev/snd/pcmC0D0p:   jimnong1441 F...m pulseaudio
   /dev/snd/controlC0:  jimnong1441 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Mar 22 11:30:39 2019
  InstallationDate: Installed on 2017-07-27 (603 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: 내장 오디오 - HDA Intel PCH
  Symptom_Jack: Mic, Internal
  Symptom_Type: No auto-switch between inputs
  Title: [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch
  UpgradeStatus: Upgraded to bionic on 2018-09-23 (179 days ago)
  dmi.bios.date: 09/06/2016
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V1.24
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: Garp_BA
  dmi.board.vendor: Acer
  dmi.board.version: V1.24
  dmi.chassis.type: 10
  dmi.chassis.vendor: Chassis Manufacturer
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV1.24:bd09/06/2016:svnAcer:pnAspireES1-131:pvrV1.24:rvnAcer:rnGarp_BA:rvrV1.24:cvnChassisManufacturer:ct10:cvrChassisVersion:
  dmi.product.family: BSW
  dmi.product.name: Aspire ES1-131
  dmi.product.version: V1.24
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1821269/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1821269] [NEW] [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch (4-pole combo jack mic doesn't detect)

2019-03-21 Thread Ji-min Hong
Public bug reported:

I use realtek alc255 analog audio jack. External jack is 4 pole combo(apple 
type. not europe type.).
When I plug 4 pole mic into jack, It doesn't detect.
So I can't my voice through external mic.

My laptop has internal mic. It belongs to Intel sound(HDA Intel PCH. Audio 
device: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx 
Series High Definition Audio Controller (rev 21)).
Internal mic works well.

Please check 4pole external mic detection.

Thank you.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.15.0-46.49-generic 4.15.18
Uname: Linux 4.15.0-46-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
AudioDevicesInUse:
 USERPID ACCESS COMMAND
 /dev/snd/pcmC0D0c:   jimnong1441 F...m pulseaudio
 /dev/snd/pcmC0D0p:   jimnong1441 F...m pulseaudio
 /dev/snd/controlC0:  jimnong1441 F pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Fri Mar 22 11:30:39 2019
InstallationDate: Installed on 2017-07-27 (603 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: 내장 오디오 - HDA Intel PCH
Symptom_Jack: Mic, Internal
Symptom_Type: No auto-switch between inputs
Title: [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch
UpgradeStatus: Upgraded to bionic on 2018-09-23 (179 days ago)
dmi.bios.date: 09/06/2016
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.24
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: Garp_BA
dmi.board.vendor: Acer
dmi.board.version: V1.24
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV1.24:bd09/06/2016:svnAcer:pnAspireES1-131:pvrV1.24:rvnAcer:rnGarp_BA:rvrV1.24:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.family: BSW
dmi.product.name: Aspire ES1-131
dmi.product.version: V1.24
dmi.sys.vendor: Acer

** Affects: alsa-driver (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1821269

Title:
  [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch (4-pole
  combo jack mic doesn't detect)

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  I use realtek alc255 analog audio jack. External jack is 4 pole combo(apple 
type. not europe type.).
  When I plug 4 pole mic into jack, It doesn't detect.
  So I can't my voice through external mic.

  My laptop has internal mic. It belongs to Intel sound(HDA Intel PCH. Audio 
device: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx 
Series High Definition Audio Controller (rev 21)).
  Internal mic works well.

  Please check 4pole external mic detection.

  Thank you.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-46.49-generic 4.15.18
  Uname: Linux 4.15.0-46-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC0D0c:   jimnong1441 F...m pulseaudio
   /dev/snd/pcmC0D0p:   jimnong1441 F...m pulseaudio
   /dev/snd/controlC0:  jimnong1441 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Mar 22 11:30:39 2019
  InstallationDate: Installed on 2017-07-27 (603 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: 내장 오디오 - HDA Intel PCH
  Symptom_Jack: Mic, Internal
  Symptom_Type: No auto-switch between inputs
  Title: [Aspire ES1-131, Realtek ALC255, Mic, Internal] No autoswitch
  UpgradeStatus: Upgraded to bionic on 2018-09-23 (179 days ago)
  dmi.bios.date: 09/06/2016
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V1.24
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: Garp_BA
  dmi.board.vendor: Acer
  dmi.board.version: V1.24
  dmi.chassis.type: 10
  dmi.chassis.vendor: Chassis Manufacturer
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV1.24:bd09/06/2016:svnAcer:pnAspireES1-131:pvrV1.24:rvnAcer:rnGarp_BA:rvrV1.24:cvnChassisManufacturer:ct10:cvrChassisVersion:
  dmi.product.family: BSW
  dmi.product.name: Aspire ES1-131
  dmi.product.version: V1.24
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1821269/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803016] Re: Ubuntu 18.10 and ASUS ZenBook Flip Q536FD integrated Speakers not sounds

2019-03-21 Thread Daniel van Vugt
** Summary changed:

- Ubuntu 18.10 and ASUS Q536FD integrated Speakers not sounds
+ Ubuntu 18.10 and ASUS ZenBook Flip Q536FD integrated Speakers not sounds

** Also affects: alsa-driver (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: alsa-driver (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1803016

Title:
  Ubuntu 18.10 and ASUS ZenBook Flip Q536FD integrated Speakers not
  sounds

Status in alsa-driver package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  Bluetooth and HDMI sound it is ok, but the integrated speakers not
  sounds.

  Distro:
  Description:  Ubuntu 18.10
  Release:  18.10


  Info:
   List of PLAYBACK Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC294 Analog [ALC294 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 9: HDMI 3 [HDMI 3]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 10: HDMI 4 [HDMI 4]
Subdevices: 1/1
Subdevice #0: subdevice #0

  hwinfo --sound
  18: PCI 1f.3: 0403 Audio device 
[Created at pci.378]
Unique ID: nS1_.sos2QFV32t3
SysFS ID: /devices/pci:00/:00:1f.3
SysFS BusID: :00:1f.3
Hardware Class: sound
Model: "Intel Audio device"
Vendor: pci 0x8086 "Intel Corporation"
Device: pci 0x9dc8 
SubVendor: pci 0x1043 "ASUSTeK Computer Inc."
SubDevice: pci 0x1481 
Revision: 0x30
Driver: "snd_hda_intel"
Driver Modules: "snd_hda_intel"
Memory Range: 0xb4218000-0xb421bfff (rw,non-prefetchable)
Memory Range: 0xb410-0xb41f (rw,non-prefetchable)
IRQ: 140 (1419 events)
Module Alias: "pci:v8086d9DC8sv1043sd1481bc04sc03i80"
Driver Info #0:
  Driver Status: snd_hda_intel is active
  Driver Activation Cmd: "modprobe snd_hda_intel"
Driver Info #1:
  Driver Status: snd_soc_skl is active
  Driver Activation Cmd: "modprobe snd_soc_skl"
Config Status: cfg=new, avail=yes, need=no, active=unknown
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  natanael   2115 F pulseaudio
   /dev/snd/pcmC0D0p:   natanael   2115 F...m pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 18.10
  InstallationDate: Installed on 2018-11-08 (4 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  NonfreeKernelModules: nvidia_modeset nvidia
  Package: pulseaudio 1:12.2-0ubuntu4
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Tags:  cosmic
  Uname: Linux 4.18.0-11-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 08/24/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: Q536FD.203
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: Q536FD
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 31
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrQ536FD.203:bd08/24/2018:svnASUSTeKCOMPUTERINC.:pnZenBookQ536FD_Q536FD:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnQ536FD:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct31:cvr1.0:
  dmi.product.family: ZenBook Flip
  dmi.product.name: ZenBook Q536FD_Q536FD
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1803016/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1760818] Re: gedit and gnome-calculator transparency/graphics corruption issue when GTK_IM_MODULE=xim is set

2019-03-21 Thread Michael Behrns-Miller
I have upgraded through several versions of Ubuntu up to 18.04.2, and
I've tried all suggestions, but still getting screen overwriting in Meld
to the point of making it unusable.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1760818

Title:
  gedit and gnome-calculator transparency/graphics corruption issue when
  GTK_IM_MODULE=xim is set

Status in gtk+3.0 package in Ubuntu:
  Confirmed
Status in im-config package in Ubuntu:
  Confirmed

Bug description:
  In a "Ubuntu" (Xorg) session on 18.04 gedit and gnome-calculator
  suffer from a graphics issue where parts of their windows hold parts
  of wallpaper or other windows' contents as background.

  See attached screenshot.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: light-themes 16.10+18.04.20180328-0ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
  Uname: Linux 4.15.0-13-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.9-0ubuntu2
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Apr  3 09:12:31 2018
  PackageArchitecture: all
  SourcePackage: ubuntu-themes
  UpgradeStatus: Upgraded to bionic on 2018-02-07 (54 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1760818/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1790205] Re: systemd journals take up too much space, aren't vacuumed automatically

2019-03-21 Thread Dimitri John Ledkov
I have filed the usability issue of --disk-usage upstream at
https://github.com/systemd/systemd/issues/12063

** Bug watch added: github.com/systemd/systemd/issues #12063
   https://github.com/systemd/systemd/issues/12063

** Summary changed:

- systemd journals take up too much space, aren't vacuumed automatically
+ systemd journals take up a lot of space, and it's not obvious how much is 
used, and what the upper limit is.

** Also affects: systemd via
   https://github.com/systemd/systemd/issues/12063
   Importance: Unknown
   Status: Unknown

** Description changed:

  After running Bionic for 3 months, I had 2.6 GB of journals.
  
  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.
  
  I would nominate this command as a sane default to have running at each
  reboot to ensure that logs do not exceed 500 MB:
  
  sudo journalctl --vacuum-size=500M
  
  Supposedly, a server should by default retain more logs, so perhaps this
  should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?
+ 
+ 
+ . as it turns out, it's hard to see how much disk space is used, and what 
the upper limit is, even when it is set and respected by default.

** Tags removed: rls-dd-incoming
** Tags added: rls-dd-notfixing

** Changed in: systemd (Ubuntu)
   Status: Incomplete => Confirmed

** Changed in: systemd (Ubuntu)
   Importance: High => Wishlist

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up a lot of space, and it's not obvious how much
  is used, and what the upper limit is.

Status in systemd:
  Unknown
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

  
  . as it turns out, it's hard to see how much disk space is used, and what 
the upper limit is, even when it is set and respected by default.

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1821103] Re: [SRU] Skip sending email when no package had to be installed, upgraded or removed

2019-03-21 Thread Bug Watch Updater
** Changed in: unattended-upgrades (Debian)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1821103

Title:
  [SRU] Skip sending email when no package had to be installed, upgraded
  or removed

Status in unattended-upgrades package in Ubuntu:
  New
Status in unattended-upgrades package in Debian:
  Fix Committed

Bug description:
  .

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1821103/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803016] Re: Ubuntu 18.10 and ASUS Q536FD integrated Speakers not sounds

2019-03-21 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: pulseaudio (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1803016

Title:
  Ubuntu 18.10 and ASUS Q536FD integrated Speakers not sounds

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  Bluetooth and HDMI sound it is ok, but the integrated speakers not
  sounds.

  Distro:
  Description:  Ubuntu 18.10
  Release:  18.10


  Info:
   List of PLAYBACK Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC294 Analog [ALC294 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 9: HDMI 3 [HDMI 3]
Subdevices: 1/1
Subdevice #0: subdevice #0
  card 0: PCH [HDA Intel PCH], device 10: HDMI 4 [HDMI 4]
Subdevices: 1/1
Subdevice #0: subdevice #0

  hwinfo --sound
  18: PCI 1f.3: 0403 Audio device 
[Created at pci.378]
Unique ID: nS1_.sos2QFV32t3
SysFS ID: /devices/pci:00/:00:1f.3
SysFS BusID: :00:1f.3
Hardware Class: sound
Model: "Intel Audio device"
Vendor: pci 0x8086 "Intel Corporation"
Device: pci 0x9dc8 
SubVendor: pci 0x1043 "ASUSTeK Computer Inc."
SubDevice: pci 0x1481 
Revision: 0x30
Driver: "snd_hda_intel"
Driver Modules: "snd_hda_intel"
Memory Range: 0xb4218000-0xb421bfff (rw,non-prefetchable)
Memory Range: 0xb410-0xb41f (rw,non-prefetchable)
IRQ: 140 (1419 events)
Module Alias: "pci:v8086d9DC8sv1043sd1481bc04sc03i80"
Driver Info #0:
  Driver Status: snd_hda_intel is active
  Driver Activation Cmd: "modprobe snd_hda_intel"
Driver Info #1:
  Driver Status: snd_soc_skl is active
  Driver Activation Cmd: "modprobe snd_soc_skl"
Config Status: cfg=new, avail=yes, need=no, active=unknown
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  natanael   2115 F pulseaudio
   /dev/snd/pcmC0D0p:   natanael   2115 F...m pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 18.10
  InstallationDate: Installed on 2018-11-08 (4 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  NonfreeKernelModules: nvidia_modeset nvidia
  Package: pulseaudio 1:12.2-0ubuntu4
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Tags:  cosmic
  Uname: Linux 4.18.0-11-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 08/24/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: Q536FD.203
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: Q536FD
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 31
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrQ536FD.203:bd08/24/2018:svnASUSTeKCOMPUTERINC.:pnZenBookQ536FD_Q536FD:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnQ536FD:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct31:cvr1.0:
  dmi.product.family: ZenBook Flip
  dmi.product.name: ZenBook Q536FD_Q536FD
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1803016/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1790205] Re: systemd journals take up too much space, aren't vacuumed automatically

2019-03-21 Thread Emanuele
Everything ok for me too

$ journalctl -b -u systemd-journald.service -n 1
-- Logs begin at Tue 2019-02-19 00:29:40 CET, end at Thu 2019-03-21 22:33:40 
CET. --
mar 21 18:33:53 emanuc systemd-journald[602]: System journal 
(/var/log/journal/c60f3deceebd474aa97aecbd13ebf6b9) is 744.0M, max 4.0G, 3.2G 
free.
$ journalctl --disk-usage
Archived and active journals take up 744.0M in the file system.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up too much space, aren't vacuumed automatically

Status in systemd package in Ubuntu:
  Incomplete

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1820929] Re: netplan should consider adding more udev attribute for exact matching of failover 3-netdev interfaces

2019-03-21 Thread Mathieu Trudel-Lapierre
netplan is currently writing about as much as we can for the
networkd/udev configs; some values we don't know how to handle at all.

Looking at this, it feels to me like there will indeed be a need to find
a different data point to differentiate the interfaces, and MAC and
driver are not sufficient. This might require work in udev, so I've
added a task for systemd.

Could you please provide us with more information on these devices?
Could you please run 'udevadm info' for the slaves as well, so we see if
there are any extra fields we can use?

If we can't find anything usable already in udev, then we might need to
consider modifying the kernel driver itself to expose some information
that will be needed to make the difference between the devices.

This is Triaged/Undecided for netplan, since it's quite obviously a
limitation, it will need work to implement, but we can't really
prioritize it before knowing what data we can work with to match on the
interfaces / work done on systemd/udev.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1820929

Title:
  netplan should consider adding more udev attribute for exact matching
  of failover 3-netdev interfaces

Status in netplan:
  Triaged
Status in netplan.io package in Ubuntu:
  Triaged
Status in systemd package in Ubuntu:
  Incomplete

Bug description:
  This bug is a follow-up to

  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1815268

  after applying the 0001-net_failover-delay-taking-over-primary-device-
  to-acc.patch attached in that bug, the VF interface "eth0" is renamed
  to "rename4" instead of "ens4". Log is showing that attempt to rename
  "eth0" to "ens3" failed because of conflict with existing name, so
  that's why it ends up with rename4.

  vsbalakr@ubuntu-18:~$ uname -a
  Linux ubuntu-18 4.15.0-1009-oracle #11+lp1815268 SMP Tue Mar 12 15:20:15 UTC 
2019 x86_64 x86_64 x86_64 GNU/Linux
  vsbalakr@ubuntu-18:~$ ip l 
  1: lo:  mtu 65536 qdisc noqueue state UNKNOWN mode 
DEFAULT group default qlen 1000 link/loopback 00:00:00:00:00:00 brd 
00:00:00:00:00:00 
  2: ens3:  mtu 1500 qdisc noqueue state UP 
mode DEFAULT group default qlen 1000 link/ether ba:fb:9f:12:2f:02 brd 
ff:ff:ff:ff:ff:ff 
  3: ens3nsby:  mtu 1500 qdisc pfifo_fast 
master ens3 state UP mode DEFAULT group default qlen 1000 link/ether 
ba:fb:9f:12:2f:02 brd ff:ff:ff:ff:ff:ff 
  4: rename4:  mtu 1500 qdisc mq master ens3 
state UP mode DEFAULT group default qlen 1000 link/ether ba:fb:9f:12:2f:02 brd 
ff:ff:ff:ff:ff:ff

  vsbalakr@ubuntu-18:~$ egrep -i '(rename4|busy)' /var/log/syslog
  ...
  Mar 18 11:01:52 ubuntu-18 NetworkManager[1294]:  [1552932112.9591] 
device (rename4): carrier: link connected
  Mar 18 11:01:52 ubuntu-18 NetworkManager[1294]:  [1552932112.9591] 
device (rename4): enslaved to non-master-type device ens3; ignoring
  Mar 18 11:01:53 ubuntu-18 systemd-udevd[2463]: error changing net interface 
name 'eth0' to 'ens3': Device or resource busy
  Mar 18 11:01:53 ubuntu-18 systemd-udevd[2463]: could not rename interface '4' 
from 'eth0' to 'ens3': Device or resource busy

  Within VM there's netplan config as below:

  vsbalakr@ubuntu-18:~$ cat /etc/netplan/01-netcfg.yaml
  # This file describes the network interfaces available on your system
  # For more information, see netplan(5).
  network:
version: 2
renderer: networkd
ethernets:
  ens3:
dhcp4: yes
gateway4: 10.211.8.1
nameservers:
addresses: [10.211.11.1,10.209.76.197]

  By running udevadm test, we can see the conflicting ens3 name comes
  from netplan's /run/udev/rules.d/99-netplan-ens3.rules

  vsbalakr@ubuntu-18:~$ cat /run/udev/rules.d/99-netplan-ens3.rules
  SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", 
ATTR{address}=="ba:fb:9f:12:2f:02", NAME="ens3"

  vsbalakr@ubuntu-18:/lib/udev/rules.d$ udevadm test --action="add" 
/sys/class/net/eth0
  calling: test
  version 237
  This program is for debugging only, it does not run any program
  specified by a RUN key. It may show incorrect results, because
  some values may be different, or not available at a simulation run.

  Load module index
  Parsed configuration file /lib/systemd/network/99-default.link
  Parsed configuration file /run/systemd/network/10-netplan-ens3.link
  Created link configuration context.
  Reading rules file: /lib/udev/rules.d/01-md-raid-creating.rules
  ..
  Reading rules file: /lib/udev/rules.d/99-vmware-scsi-udev.rules
  rules contain 393216 bytes tokens (32768 * 12 bytes), 38638 bytes strings
  25317 strings (216160 bytes), 21957 de-duplicated (180883 bytes), 3361 trie 
nodes used
  RUN '/lib/open-iscsi/net-interface-handler start' 
/lib/udev/rules.d/70-iscsi-network-interface.rules:2
  IMPORT builtin 'net_id' /lib/udev/rules.d/75-net-description.rules:6
  IMPORT builtin 'hwdb' /lib/udev/rules.d/75-net-description.rules:12
  RUN 'ifupdown-hotplug' 

[Touch-packages] [Bug 1820929] Re: netplan should consider adding more udev attribute for exact matching of failover 3-netdev interfaces

2019-03-21 Thread Mathieu Trudel-Lapierre
** Also affects: netplan.io (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: netplan
   Status: New => Triaged

** Changed in: netplan.io (Ubuntu)
   Status: New => Triaged

** Changed in: systemd (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1820929

Title:
  netplan should consider adding more udev attribute for exact matching
  of failover 3-netdev interfaces

Status in netplan:
  Triaged
Status in netplan.io package in Ubuntu:
  Triaged
Status in systemd package in Ubuntu:
  Incomplete

Bug description:
  This bug is a follow-up to

  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1815268

  after applying the 0001-net_failover-delay-taking-over-primary-device-
  to-acc.patch attached in that bug, the VF interface "eth0" is renamed
  to "rename4" instead of "ens4". Log is showing that attempt to rename
  "eth0" to "ens3" failed because of conflict with existing name, so
  that's why it ends up with rename4.

  vsbalakr@ubuntu-18:~$ uname -a
  Linux ubuntu-18 4.15.0-1009-oracle #11+lp1815268 SMP Tue Mar 12 15:20:15 UTC 
2019 x86_64 x86_64 x86_64 GNU/Linux
  vsbalakr@ubuntu-18:~$ ip l 
  1: lo:  mtu 65536 qdisc noqueue state UNKNOWN mode 
DEFAULT group default qlen 1000 link/loopback 00:00:00:00:00:00 brd 
00:00:00:00:00:00 
  2: ens3:  mtu 1500 qdisc noqueue state UP 
mode DEFAULT group default qlen 1000 link/ether ba:fb:9f:12:2f:02 brd 
ff:ff:ff:ff:ff:ff 
  3: ens3nsby:  mtu 1500 qdisc pfifo_fast 
master ens3 state UP mode DEFAULT group default qlen 1000 link/ether 
ba:fb:9f:12:2f:02 brd ff:ff:ff:ff:ff:ff 
  4: rename4:  mtu 1500 qdisc mq master ens3 
state UP mode DEFAULT group default qlen 1000 link/ether ba:fb:9f:12:2f:02 brd 
ff:ff:ff:ff:ff:ff

  vsbalakr@ubuntu-18:~$ egrep -i '(rename4|busy)' /var/log/syslog
  ...
  Mar 18 11:01:52 ubuntu-18 NetworkManager[1294]:  [1552932112.9591] 
device (rename4): carrier: link connected
  Mar 18 11:01:52 ubuntu-18 NetworkManager[1294]:  [1552932112.9591] 
device (rename4): enslaved to non-master-type device ens3; ignoring
  Mar 18 11:01:53 ubuntu-18 systemd-udevd[2463]: error changing net interface 
name 'eth0' to 'ens3': Device or resource busy
  Mar 18 11:01:53 ubuntu-18 systemd-udevd[2463]: could not rename interface '4' 
from 'eth0' to 'ens3': Device or resource busy

  Within VM there's netplan config as below:

  vsbalakr@ubuntu-18:~$ cat /etc/netplan/01-netcfg.yaml
  # This file describes the network interfaces available on your system
  # For more information, see netplan(5).
  network:
version: 2
renderer: networkd
ethernets:
  ens3:
dhcp4: yes
gateway4: 10.211.8.1
nameservers:
addresses: [10.211.11.1,10.209.76.197]

  By running udevadm test, we can see the conflicting ens3 name comes
  from netplan's /run/udev/rules.d/99-netplan-ens3.rules

  vsbalakr@ubuntu-18:~$ cat /run/udev/rules.d/99-netplan-ens3.rules
  SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", 
ATTR{address}=="ba:fb:9f:12:2f:02", NAME="ens3"

  vsbalakr@ubuntu-18:/lib/udev/rules.d$ udevadm test --action="add" 
/sys/class/net/eth0
  calling: test
  version 237
  This program is for debugging only, it does not run any program
  specified by a RUN key. It may show incorrect results, because
  some values may be different, or not available at a simulation run.

  Load module index
  Parsed configuration file /lib/systemd/network/99-default.link
  Parsed configuration file /run/systemd/network/10-netplan-ens3.link
  Created link configuration context.
  Reading rules file: /lib/udev/rules.d/01-md-raid-creating.rules
  ..
  Reading rules file: /lib/udev/rules.d/99-vmware-scsi-udev.rules
  rules contain 393216 bytes tokens (32768 * 12 bytes), 38638 bytes strings
  25317 strings (216160 bytes), 21957 de-duplicated (180883 bytes), 3361 trie 
nodes used
  RUN '/lib/open-iscsi/net-interface-handler start' 
/lib/udev/rules.d/70-iscsi-network-interface.rules:2
  IMPORT builtin 'net_id' /lib/udev/rules.d/75-net-description.rules:6
  IMPORT builtin 'hwdb' /lib/udev/rules.d/75-net-description.rules:12
  RUN 'ifupdown-hotplug' /lib/udev/rules.d/80-ifupdown.rules:5
  IMPORT builtin 'path_id' /lib/udev/rules.d/80-net-setup-link.rules:5
  IMPORT builtin 'net_setup_link' /lib/udev/rules.d/80-net-setup-link.rules:9
  Config file /lib/systemd/network/99-default.link applies to device eth0
  link_config: autonegotiation is unset or enabled, the speed and duplex are 
not writable.
  link_config: could not set ethtool features for eth0
  Could not set offload features of eth0: Operation not permitted
  NAME 'ens4' /lib/udev/rules.d/80-net-setup-link.rules:11
  NAME 'ens3' /run/udev/rules.d/99-netplan-ens3.rules:1
  RUN '/lib/systemd/systemd-sysctl --prefix=/net/ipv4/conf/$name 

[Touch-packages] [Bug 1801383] Re: the WifiSyslog apport hook (used in firefox/tb) includes SSID informations

2019-03-21 Thread Steve Beattie
The linux kernel apport hook is provided by apport directly, so needs to
be fixed there:

  $ grep -i Wifi /usr/share/apport/package-hooks/source_linux.py
apport.hookutils.attach_wifi(report)
  $ dpkg -S /usr/share/apport/package-hooks/source_linux.py
apport: /usr/share/apport/package-hooks/source_linux.py

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1801383

Title:
  the WifiSyslog apport hook (used in firefox/tb) includes SSID
  informations

Status in apport package in Ubuntu:
  New
Status in firefox package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Confirmed
Status in thunderbird package in Ubuntu:
  New

Bug description:
  When I apport-bug certain packages such as firefox for example, it
  uploads the WifiSyslog.txt file.

  The WifiSyslog may contain a list of all system connections enumerated
  in /etc/NetworkManager/system-connections, i.e. all SSIDs the user has
  ever connected to that are found in the system-connections. This is a
  serious privacy risk and completely unnecessary information for most
  bug reports.

  Should either remove WifiSyslog as a requirement for packages that
  don't need it (should I report this to
  https://bugs.launchpad.net/ubuntu/+source/firefox/ ?), or redact
  information that may contain usernames and SSIDs from the log file.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: apport 2.20.9-0ubuntu7.4
  ProcVersionSignature: User Name 4.15.0-38.41-generic 4.15.18
  Uname: Linux 4.15.0-38-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.9-0ubuntu7.4
  Architecture: amd64
  CrashReports: 640:1000:117:62475:2018-11-01 19:17:29.982295751 
-0400:2018-11-01 19:17:30.982295751 
-0400:/var/crash/_usr_bin_gnome-screenshot.1000.crash
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Nov  2 11:24:20 2018
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-09-12 (50 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 
(20180731)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to bionic on 2018-09-28 (34 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1801383/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817799] Re: [FFe] apparmor 2.13

2019-03-21 Thread Jamie Strandboge
FYI, disco now has 2.38 (I've updated the description accordingly).

** Description changed:

  Feature Freeze exception for AppArmor 2.13.2
  
  The security team is pushing to get AppArmor 2.13 into 19.04 since we
  want AppArmor 3 (or higher) in 20.04 and we'd like to update to 2.13.2
  to have widespread use of its new features and make the overall
  experience to AppArmor 3 better tested and less disruptive.
  
  The 2.13.2 series over 2.12 is primarily incremental improvements in the
  parser, libapparmor, userspace tooling and policy; Debian started
  preparing 2.13 in experimental last June where the first upload to
  unstable was made in July. Since then, Debian has worked closely with
  upstream and Ubuntu devs to shake out bugs and improve the packaging.
  There are no new mediation rules so the chance of regression in terms of
  parser/kernel/policy updates is considered low.
  
  IME, the primary points of interest for the FFe surround the following:
   * apparmor_parser in 2.13 now creates subdirectories in the cache directory 
with the subdir name based on the kernel features. This improves the experience 
when booting between kernels with different feature sets
   * Debian moved /etc/apparmor.d/cache to /var/cache/apparmor (first upload 
with this change in August)
   * the init process now uses proper systemd unit instead of calling out to 
SysV init script. This and rc.apparmor.functions cleanups were done in 
coordination with Ubuntu devs (first upload in December)
   * due to bug #1820068, the 2.12 and earlier Ubuntu-distro patch to use -O 
no-expr-simplify (helps with policy compilation times on armhf) has been 
reverted. We'll get the bug fixed before disco release
  
  Debian has been very active in improving the packaging since the plan is
  to release with AppArmor by default in Buster (it has been on by default
  in Debian testing for a long time, before the 2.13 uploads). A version
  of 2.13.2 has been in Debian testing (Buster) since January with the
  2.13.2-9 version that this FFe is based on migrating last week. Debian
  improved autopkgtests throughout Buster, worked with upstream and Ubuntu
  devs throughout.
  
  Because of the extensive baking in Debian, I think it is reasonable to
  consider granting the exception (indeed, part of why we missed Disco's
  freeze was because we were working with Debian on improving the package
  for Buster's freeze).
  
  While most software in Ubuntu doesn't care about the systemd or cache
  changes, it was known that snapd manages snap cache files on snap
  remove, and snapd needed to be changed to account for this[2]. This
- update is included in snapd 2.38 which should be uploaded to Disco very
- soon (I'm told this week or early next). Because of the change in the
- apparmor cache, I have introduced a Breaks: snapd (<< 2.38~) in the
- apparmor package since snaps cannot be removed (snapd aborts the removal
- when the cache file is not found; which is a little strict IMO, but I
- digress).
+ update is included in snapd 2.38 which is now in disco. Because of the
+ change in the apparmor cache, I have introduced a Breaks: snapd (<<
+ 2.38~) in the apparmor package since snaps cannot be removed (snapd
+ aborts the removal when the cache file is not found; which is a little
+ strict IMO, but I digress).
  
  In terms of testing, we exercised our test plan, like normal[1]. This
  includes upgrade testing, verifying profile load on boot, cache is used
  and software with apparmor integration continue to work (snapd, lxc,
  lxd, libvirt, docker, etc). Anecdotally I have been using 2.13.2 for
  some time without issue (and I have a lot of snap, distro and personal
  policy).
  
  The source tarball does not contain a changelog, instead the upstream release 
notes can be found here:
  * https://gitlab.com/apparmor/apparmor/wikis/Release_Notes_2.13
  * https://gitlab.com/apparmor/apparmor/wikis/Release_Notes_2.13.1
  * https://gitlab.com/apparmor/apparmor/wikis/Release_Notes_2.13.2
  
  [1]https://wiki.ubuntu.com/Process/Merges/TestPlans/AppArmor
  [2]https://github.com/snapcore/snapd/pull/6549

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1817799

Title:
  [FFe] apparmor 2.13

Status in apparmor package in Ubuntu:
  New

Bug description:
  Feature Freeze exception for AppArmor 2.13.2

  The security team is pushing to get AppArmor 2.13 into 19.04 since we
  want AppArmor 3 (or higher) in 20.04 and we'd like to update to 2.13.2
  to have widespread use of its new features and make the overall
  experience to AppArmor 3 better tested and less disruptive.

  The 2.13.2 series over 2.12 is primarily incremental improvements in
  the parser, libapparmor, userspace tooling and policy; Debian started
  preparing 2.13 in experimental last June where the first upload to
  unstable was made in July. Since then, Debian has worked 

[Touch-packages] [Bug 1803441] Re: BASH_CMDS is writable in restricted bash shells (fixed upstream, need to backport patch)

2019-03-21 Thread Andrew Zonenberg
I have not seen a CVE for the original upstream bug but cannot say with
certainty none was assigned.

The Ubuntu packaging issue definitely does not have one.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1803441

Title:
  BASH_CMDS is writable in restricted bash shells (fixed upstream, need
  to backport patch)

Status in bash package in Ubuntu:
  New

Bug description:
  In 14.04 LTS, the BASH_CMDS variable is writable in rbash. This allows
  a trivial escape from rbash to run arbitrary shell commands.

  This issue is fixed upstream:
  http://git.savannah.gnu.org/cgit/bash.git/tree/CHANGES?h=bash-4.4-testing#n65

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1803441/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1790205] Re: systemd journals take up too much space, aren't vacuumed automatically

2019-03-21 Thread Tom Reynolds
Not breached here:

$ journalctl -b -u systemd-journald.service -n 1
-- Logs begin at Sat 2018-09-29 05:03:28 CEST, end at Thu 2019-03-21 18:18:38 
CET. --
Mar 20 13:32:03 debby2017 systemd-journald[699]: System journal 
(/var/log/journal/f8b692c8bb791fe2804f3d5a5905148b) is 1.8G, max 1.8G, 0B free.

$ journalctl --disk-usage
Archived and active journals take up 1.8G in the file system.

However, with systemd-journald persistence enabled, and classic logging
daemons not removed (and still logging) on upgrades, you can end up with
much data stored in /var/log, a lot more than there used to be in the
past, which could cause problems, also (but not only) if combined with
bug 1785321.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up too much space, aren't vacuumed automatically

Status in systemd package in Ubuntu:
  Incomplete

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1790205] Re: systemd journals take up too much space, aren't vacuumed automatically

2019-03-21 Thread Tom Reynolds
So I wasn't aware of this size hard limit on persistent storage - I just
noticed that it is 'already' allocating 1.8GB, but this is indeed less
than the 10% of the file system the man page says it will consume. So
from my personal point of view this is a non-issue then (ideally
Benjamin will also provide feedback, though) - but the new behavior may
be worth discussing in release notes.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up too much space, aren't vacuumed automatically

Status in systemd package in Ubuntu:
  Incomplete

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1819615] Re: For additional hardware support, modemmanager needs to be upgraded to 1.10 on Bionic

2019-03-21 Thread Ken VanDine
I've sponsored these packages

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to modemmanager in Ubuntu.
https://bugs.launchpad.net/bugs/1819615

Title:
  For additional hardware support, modemmanager needs to be upgraded to
  1.10 on Bionic

Status in OEM Priority Project:
  In Progress
Status in libmbim package in Ubuntu:
  Fix Released
Status in libqmi package in Ubuntu:
  Fix Released
Status in modemmanager package in Ubuntu:
  Fix Released
Status in libmbim source package in Bionic:
  In Progress
Status in libqmi source package in Bionic:
  In Progress
Status in modemmanager source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * The new modemmanager package adds DW5820e and DW5821 support.
   * This modemmanager version is needed to support new devices.

  [Test Case]

   * install modemmanager, libmbim, and libqmi from -proposed
   * reboot and try WWAN function to see if any regression there.
   * perform general dogfooding of its reverse dependencies (network-
     manager, gnome-control-center etc.)

  [Regression Potential]

   * The package comes from Disco and should not have regression there.
   * Every new upstream release can potentially break existing dependencies
     if any of the required features have been changed/removed, so besides
     regular testing a general dogfooding session with the new modemmanager
     is advised.

  [Original Description]

  To have Bionic, the current LTS, working with as wide of a range of
  modems as possible we need to have it upgraded to the current 1.10
  versions. Also the underlying libraries need to get upgraded
  appropriately.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1819615/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1820350] Re: ufw allows certain incoming packets when policy is set to deny

2019-03-21 Thread Jamie Strandboge
Thank you for you report. Please note that for usability a default
ruleset is put in use by design and documented in the ufw(8) man page.
Users are free to fine-tune those defaults for site-specific needs as
described in the ufw-framework(8) man page. As a result option 'a' is
out of scope. Option 'b' does make sense and is something that can be
looked at with 'status verbose' (implementation-wise it might make sense
to check if all the defaults are in use and if they are, mention those
defaults, and if they are not, mention that custom rules are in effect.
I'm not sure yet how this should be represented in the UI.

** Summary changed:

- ufw still allows incoming packets when policy is set to deny
+ ufw allows certain incoming packets when policy is set to deny

** Information type changed from Private Security to Public

** Summary changed:

- ufw allows certain incoming packets when policy is set to deny
+ 'ufw status verbose' should mention some details of the default ruleset

** Changed in: ufw (Ubuntu)
   Status: New => Triaged

** Changed in: ufw (Ubuntu)
   Importance: Undecided => Wishlist

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ufw in Ubuntu.
https://bugs.launchpad.net/bugs/1820350

Title:
  'ufw status verbose' should mention some details of the default
  ruleset

Status in ufw package in Ubuntu:
  Triaged

Bug description:
  Hello,

  ufw can be configured with a default profile of DENY all incoming
  packets. When "ufw status verbose" is called, it seems like indeed all
  incoming packets would be dropped/denied.

  However, there are some exceptions, which are only visible when
  "iptables -S" is called. Examples for allowed incoming network
  traffic:

  - Incoming datagrams to UDP port 68, when UDP source port is set to 67
  - Incoming datagrams to UDP port 5353, sent to 224.0.0.251/32
  - Incoming datagrams to UDP port 1900, sent to 239.255.255.250/32
  - Incoming ICMP packets of type 3 (Destination Unreachable)
  - Incoming ICMP packets of type 11 (Time Exceeded)
  - Incoming ICMP packets of type 12 (Parameter Problem)
  - Incoming ICMP packets of type 8 (Echo)

  What I'm most worried about, is that these exceptions are not visible
  in the ufw interface, when "ufw status verbose" is called. This is a
  bit misleading, since users who set a DENY all rule would expect that
  really all packets are denied.

  Users could still query iptables directly to see what's going on, but
  as I'm aware ufw deals as a user-friendly wrapper with the advantage
  of not having to deal with iptables, so this can lead to wrong
  expectations.

  
  In particular, consider the following scenarios:

  - Malicious software listens on UDP port 68 (elevated privileges) and
  receives datagrams with a source port of 67 from another piece of
  malware, although ufw policy is set to DENY.

  - Malicious software listens on UDP port 1900 (non-elevated
  privileges) and receives datagrams sent to multicast address
  239.255.255.250/32 from another piece of malware residing in the same
  subnet, although ufw policy is set to DENY.

  - Malicious software listens on UDP port 5353 (non-elevated
  privileges) and receives datagrams sent to multicast address
  224.0.0.251/32 from another piece of malware residing in the same
  subnet, although ufw policy is set to DENY.

  etc.
  ...
  ...

  
  My suggestions (from most to least restrictive):

  a) Really block everything when "ufw default DENY" is called. Without any 
exceptions.
  b) If you would like to keep UDP ports 68, 1900 and 5353 and ICMP types in 
the list, although "ufw default DENY" was called, these exceptions should be 
displayed in "ufw status"

  
  

  In the following you can find the invoked commands and a list of all
  iptables rules, created by ufw when the policy is set to DENY:

  
  Examples:

  ~$ ufw --version
  ufw 0.35
  Copyright 2008-2015 Canonical Ltd.

  ~$ sudo ufw default DENY
  Default incoming policy changed to 'deny'
  (be sure to update your rules accordingly)

  ~$ sudo ufw status verbose
  Status: active
  Logging: on (low)
  Default: deny (incoming), allow (outgoing), disabled (routed)
  New profiles: skip


  ~$ sudo iptables -S
  -P INPUT DROP
  -P FORWARD DROP
  -P OUTPUT ACCEPT
  -N ufw-after-forward
  -N ufw-after-input
  -N ufw-after-logging-forward
  -N ufw-after-logging-input
  -N ufw-after-logging-output
  -N ufw-after-output
  -N ufw-before-forward
  -N ufw-before-input
  -N ufw-before-logging-forward
  -N ufw-before-logging-input
  -N ufw-before-logging-output
  -N ufw-before-output
  -N ufw-logging-allow
  -N ufw-logging-deny
  -N ufw-not-local
  -N ufw-reject-forward
  -N ufw-reject-input
  -N ufw-reject-output
  -N ufw-skip-to-policy-forward
  -N ufw-skip-to-policy-input
  -N ufw-skip-to-policy-output
  -N ufw-track-forward
  -N ufw-track-input
  -N ufw-track-output
  -N ufw-user-forward
  -N 

[Touch-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-21 Thread Bug Watch Updater
** Changed in: libunistring (Debian)
   Status: Won't Fix => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libidn in Ubuntu.
https://bugs.launchpad.net/bugs/1813587

Title:
  libunistring and libidn ftbfs on 18.04 LTS

Status in libidn package in Ubuntu:
  Fix Released
Status in libunistring package in Ubuntu:
  Fix Released
Status in libidn source package in Bionic:
  In Progress
Status in libunistring source package in Bionic:
  In Progress
Status in libunistring package in Debian:
  New

Bug description:
  Impact
  --
  libunistring doesn't build from source which means someone would need to fix 
that problem before fixing any bugs in the libunistring package for Ubuntu 
18.04 LTS.

  Test Case
  -
  Does libunistring build successfully?

  Regression Potential
  
  We are simply backporting the workaround we applied in Ubuntu 18.10.

  Original Bug Report
  ---
  according to
  
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20181222-bionic.html

  libunistring ftbfs.

  FAIL: test-thread_create
  

  glthread_create failed
  FAIL test-thread_create (exit status: 1)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libidn/+bug/1813587/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803441] Re: BASH_CMDS is writable in restricted bash shells (fixed upstream, need to backport patch)

2019-03-21 Thread Steve Beattie
Hi Andrew, thanks for reporting this. Do you know if a CVE was assigned
for this issue?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1803441

Title:
  BASH_CMDS is writable in restricted bash shells (fixed upstream, need
  to backport patch)

Status in bash package in Ubuntu:
  New

Bug description:
  In 14.04 LTS, the BASH_CMDS variable is writable in rbash. This allows
  a trivial escape from rbash to run arbitrary shell commands.

  This issue is fixed upstream:
  http://git.savannah.gnu.org/cgit/bash.git/tree/CHANGES?h=bash-4.4-testing#n65

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1803441/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1821052] Re: Unavailable connexion with mobile broadband DW5811e Snapdragon™ X7 LTE

2019-03-21 Thread Steve Beattie
** Information type changed from Public Security to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1821052

Title:
  Unavailable connexion with mobile broadband DW5811e Snapdragon™ X7 LTE

Status in network-manager package in Ubuntu:
  New

Bug description:
  Hello,

  I'm trying to connect internet with mobile broadband module card
  DW5811e Snapdragon™ X7 LTE but when I finished to set in GUI, asked
  informations, anything happens. (screenshot join) Message in Network-
  Manager says "unavailable".

  I am using Ubuntu 18.04.2 LTS.

  I tested the module under Linux Mint LMDE 3 Cindy with a LIVE USB and
  it works good.

  I can give some information about the card and connection :

  sudo mmcli -m 0

  /org/freedesktop/ModemManager1/Modem/0 (device id 'hidden by me')
-
Hardware |   manufacturer: 'Dell'
 |  model: 'MBIM [413C:81B6]'
 |   revision: 'SWI9X30C_02.24.05.06'
 |  supported: 'gsm-umts, lte'
 |current: 'gsm-umts, lte'
 |   equipment id: 'hidden by me'
-
System   | device: '/sys/devices/pci:00/:00:14.0/usb2/2-2'
 |drivers: 'cdc_mbim'
 | plugin: 'Dell'
 |   primary port: 'cdc-wdm1'
 |  ports: 'cdc-wdm1 (mbim), wwp0s20f0u2i12 (net)'
-
Numbers  |   own : 'unknown'
-
Status   |   lock: 'none'
 | unlock retries: 'sim-pin2 (3)'
 |  state: 'disabled'
 |power state: 'on'
 |access tech: 'unknown'
 | signal quality: '0' (cached)
-
Modes|  supported: 'allowed: 3g, 4g; preferred: none'
 |current: 'allowed: 3g, 4g; preferred: none'
-
Bands|  supported: 'unknown'
 |current: 'unknown'
-
IP   |  supported: 'ipv4, ipv6, ipv4v6'
-
3GPP |   imei: '(hidden by me)'
 |  enabled locks: 'fixed-dialing'
 |operator id: 'unknown'
 |  operator name: 'unknown'
 |   subscription: 'unknown'
 |   registration: 'unknown'
-
SIM  |   path: '/org/freedesktop/ModemManager1/SIM/0'

-
Bearers  |  paths: 'none'

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: network-manager-config-connectivity-ubuntu 1.10.6-2ubuntu1.1
  ProcVersionSignature: Ubuntu 4.18.0-16.17~18.04.1-generic 4.18.20
  Uname: Linux 4.18.0-16-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Mar 20 18:07:34 2019
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2019-03-15 (4 days ago)
  InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 
(20190210)
  IpRoute:
   default via 192.168.42.129 dev enp0s20f0u9 proto dhcp metric 100 
   169.254.0.0/16 dev enp0s20f0u9 scope link metric 1000 
   192.168.42.0/24 dev enp0s20f0u9 proto kernel scope link src 192.168.42.245 
metric 100
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=false
  PackageArchitecture: all
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-con:
   NAME UUID  TYPE  
TIMESTAMP   TIMESTAMP-REAL  AUTOCONNECT  AUTOCONNECT-PRIORITY  
READONLY  DBUS-PATH   ACTIVE  DEVICE   
STATE  ACTIVE-PATH SLAVE 
   Connexion filaire 2  eb77c09e-864c-349d-bd6b-6cb8895377fe  ethernet  
1553101500  mer. 20 mars 2019 18:05:00 CET  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/4  yes enp0s20f0u9  
activated  /org/freedesktop/NetworkManager/ActiveConnection/2  --
   Connexion filaire 1  b2ad30fe-7283-3e17-b614-61743aae30d1  ethernet  
1553020238  mar. 19 mars 2019 19:30:38 CET  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/1  no  --   --   
  --  --
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN 
   running  1.10.6   connected  started  full  enabled enabled  
enabled  enabled  disabled

To manage 

[Touch-packages] [Bug 1790205] Re: systemd journals take up too much space, aren't vacuumed automatically

2019-03-21 Thread Brian Murray
** Changed in: systemd (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up too much space, aren't vacuumed automatically

Status in systemd package in Ubuntu:
  Incomplete

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1818282] Re: systemd-networkd - RoutingPolicyRule does not apply correctly

2019-03-21 Thread Ioanna Alifieraki
Debdiff for Bionic.

** Patch added: "lp1818282_bionic.debdiff"
   
https://bugs.launchpad.net/ubuntu/bionic/+source/systemd/+bug/1818282/+attachment/5248233/+files/lp1818282_bionic.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1818282

Title:
  systemd-networkd - RoutingPolicyRule does not apply correctly

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  In Progress
Status in systemd source package in Cosmic:
  In Progress
Status in systemd source package in Disco:
  Fix Released
Status in systemd package in Debian:
  New

Bug description:
  [Impact]

  When attaching multiple IPs on secondary interface the routing policy rules 
do not
  apply for all IPs.
  The rules that are applied after restarting networkd are random.

  The issue has been reported and addressed upstream.

  [Test Case]

  Attach multiple IPs to secondary interface, config file:

  $ cat /etc/systemd/network/ens8.network
  [Match]
  Name=ens8

  [Network]
  Address=172.31.28.195/20
  Address=172.31.24.151/20
  Address=172.31.24.152/20
  Address=172.31.24.153/20

  [Route]
  Destination=0.0.0.0/0
  Gateway=172.31.16.1
  Table=1000

  [Route]
  Destination=172.31.24.153
  Gateway=0.0.0.0
  Scope=link
  Table=1000

  [Route]
  Destination=172.31.28.195
  Gateway=0.0.0.0
  Scope=link
  Table=1000

  [Route]
  Destination=172.31.24.151
  Gateway=0.0.0.0
  Scope=link
  Table=1000

  [Route]
  Destination=172.31.24.152
  Gateway=0.0.0.0
  Scope=link
  Table=1000

  [RoutingPolicyRule]
  From=172.31.24.153
  Table=1000

  [RoutingPolicyRule]
  From=172.31.28.195
  Table=1000

  [RoutingPolicyRule]
  From=172.31.24.152
  Table=1000

  [RoutingPolicyRule]
  From=172.31.24.151
  Table=1000

  $ ip rule show
  0:from all lookup local
  0:from 172.31.24.151 lookup 1000
  32766:from all lookup main
  32767:from all lookup default

  - restart networkd

  $ sudo systemctl restart systemd-networkd

  $ ip rule show
  0:from all lookup local
  0:from 172.31.24.151 lookup 1000
  0:from 172.31.24.153 lookup 1000
  0:from 172.31.28.195 lookup 1000
  32766:from all lookup main
  32767:from all lookup default

  - restart again

  $ sudo systemctl restart systemd-networkd

  $ ip rule show
  0:from all lookup local
  0:from 172.31.24.151 lookup 1000
  0:from 172.31.24.152 lookup 1000
  32766:from all lookup main
  32767:from all lookup default

  The behaviour is random

  [Regression Potential]

  May impact the systemd-networkd service functionality.

  [Other]

  Affects Disco Bionic and Cosmic.

  Upstream bug : https://github.com/systemd/systemd/issues/11280
  Upstream fix : https://github.com/systemd/systemd/pull/11795/commits

  $ lsb_release -rd
  Description:  Ubuntu Disco Dingo (development branch)
  Release:  19.04

  Systemd version :
  systemd:
    Installed: 240-6ubuntu1
    Candidate: 240-6ubuntu1
    Version table:
   *** 240-6ubuntu1 500
  500 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 Packages
  100 /var/lib/dpkg/status

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1818282/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798369] Re: Reinstall Ubuntu (with preserving existing data) shows error message due to "Could not get lock /target/var/cache/apt/archives/lock"

2019-03-21 Thread Dimitri John Ledkov
** Changed in: ubiquity (Ubuntu)
   Status: Triaged => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1798369

Title:
  Reinstall Ubuntu (with preserving existing data) shows error message
  due to "Could not get lock /target/var/cache/apt/archives/lock"

Status in APT:
  New
Status in ubiquity:
  New
Status in apt package in Ubuntu:
  Invalid
Status in ubiquity package in Ubuntu:
  Incomplete

Bug description:
  When trying to reinstall an existing Ubuntu cosmic installation using
  latest 18.10 desktop images, the install shows an error dialog around
  the end of the installation with an "Error restoring installed
  applications". Looking at the syslog such a traceback can be seen:

  apt_pkg.Error: E:Could not get lock
  /target/var/cache/apt/archives/lock - open (11: Resource temporarily
  unavailable), E:Unable to lock directory
  /target/var/cache/apt/archives/

  After reproducing this on a live session, after chrooting into /target
  indeed any apt-get install operations result in the same lock-file
  error. The whole syslog of the reinstall attached to the bug.

  Test case:
   * Download latest cosmic image
   * Install cosmic on the whole disk (can be on a VM)
   * (optional) Boot into the system and leave a file in the home directory (to 
leave a trace, just in case)
   * Reboot and install cosmic using the first option in ubiquity: Reinstall 
Ubuntu
   * Finish configuration

  The install itself doesn't fail, but around the end of the
  installation process the error dialog appears. System is still
  bootable but left with old packages.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apt/+bug/1798369/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798369] Re: Reinstall Ubuntu (with preserving existing data) shows error message due to "Could not get lock /target/var/cache/apt/archives/lock"

2019-03-21 Thread Steve Langasek
Is this option still presented in disco or has it been removed?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1798369

Title:
  Reinstall Ubuntu (with preserving existing data) shows error message
  due to "Could not get lock /target/var/cache/apt/archives/lock"

Status in APT:
  New
Status in ubiquity:
  New
Status in apt package in Ubuntu:
  Invalid
Status in ubiquity package in Ubuntu:
  Incomplete

Bug description:
  When trying to reinstall an existing Ubuntu cosmic installation using
  latest 18.10 desktop images, the install shows an error dialog around
  the end of the installation with an "Error restoring installed
  applications". Looking at the syslog such a traceback can be seen:

  apt_pkg.Error: E:Could not get lock
  /target/var/cache/apt/archives/lock - open (11: Resource temporarily
  unavailable), E:Unable to lock directory
  /target/var/cache/apt/archives/

  After reproducing this on a live session, after chrooting into /target
  indeed any apt-get install operations result in the same lock-file
  error. The whole syslog of the reinstall attached to the bug.

  Test case:
   * Download latest cosmic image
   * Install cosmic on the whole disk (can be on a VM)
   * (optional) Boot into the system and leave a file in the home directory (to 
leave a trace, just in case)
   * Reboot and install cosmic using the first option in ubiquity: Reinstall 
Ubuntu
   * Finish configuration

  The install itself doesn't fail, but around the end of the
  installation process the error dialog appears. System is still
  bootable but left with old packages.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apt/+bug/1798369/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1790205] Re: systemd journals take up too much space, aren't vacuumed automatically

2019-03-21 Thread Dimitri John Ledkov
I disagree with the title and description of the bug report.

Journald, calculates a hard limit on logs (based on the system
configuration).

$ journalctl -b -u systemd-journald.service -n 1
-- Logs begin at Mon 2018-09-17 14:21:50 BST, end at Thu 2019-03-21 15:16:25 
GMT. --
Mar 21 11:27:37 ottawa systemd-journald[571]: System journal 
(/var/log/journal/1b8df0fa27039f0163586c6756a6d401) is 3.7G, max 4.0G, 231.6M 
free.

there is
$ journalctl --disk-usage
Archived and active journals take up 3.7G in the file system.


command, but that currently does not print the max size, and free, like 
journald does on startup. Maybe it should.

and --disk-usage is a bit odd, as it conflates the runtime and
persistent journal numbers.

I guess --disk-usage should print more info, about runtime vs persistent
logs; and the max sizes.

Now, do any of you have the max limits breached? Can you please paste the 
outputs of:
journalctl -b -u systemd-journald.service -n 1
journalctl --disk-usage

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up too much space, aren't vacuumed automatically

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1253638] Re: dynamic linker does not use DT_RUNPATH for transitive dependencies

2019-03-21 Thread Javier Sixto
The problem comes from linker ld, which is in binutils.

** No longer affects: binutils (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1253638

Title:
  dynamic linker does not use DT_RUNPATH for transitive dependencies

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  $ lsb_release -rd
  Description:  Ubuntu 13.10
  Release:  13.10

  $ uname -a
  Linux mhassert 3.11.0-13-generic #20-Ubuntu SMP Wed Oct 23 07:38:26 UTC 2013 
x86_64 x86_64 x86_64 GNU/Linux

  $gcc -dumpversion
  4.8

  $ ld -v
  GNU ld (GNU Binutils for Ubuntu) 2.23.52.20130913

  $ LC_ALL=C apt-cache policy libc-bin
  libc-bin:
Installed: 2.17-93ubuntu4

  * What you expected to happen
  Binaries with DT_RPATH or DT_RUNPATH behaving identical in the absence of 
LD_LIBRARY_PATH

  * What happened instead
  DT_RUNPATH not searched for transitive dependencies.

  
  When running a binary that depends on custom libraries which in turn depend 
on custom libraries, hard-coded search paths in DT_RUNPATH behave differently 
from those in DT_RPATH.
  Paths in DT_RPATH are being considered for everything that is dynamically 
loaded, even dependencies of dependencies. Paths in DT_RUNPATH seem being 
considered only for direct dependencies of the binary.

  Searching the web I think that the one and only difference between
  DT_RPATH and DT_RUNPATH should be that DT_RPATH is considered _before_
  LD_LIBRARY_PATH and DT_RUNPATH _afterwards_. In the absence of
  LD_LIBRARY_PATH there should be no difference at all.

  I stumbled upon this problem when switching from "ld" to "gold" for
  the linker. The default for ld on Ubuntu 13.10 is "--disable-new-
  dtags" while the default for gold is "--enable-new-dtags". Therefore
  ld produces binaries with DT_RPATH and gold ones with DT_RUNPATH.

  In the attached minimal example
  - the binaries rpath and runpath both depend on libb but not directly on liba.
  - libb depends on liba.
  - liba and libb are linked without any hard-coded library paths.
  - rpath and runpath are linked with  hard-coded library paths for both liba 
and libb
  - rpath is linked with --disable-new-dtags (producing DT_RPATH)
  - rpath is linked with --enable-new-dtags (producing DT_RUNPATH)

  To test, please run make all and observe how "rpath" works while
  "runpath" fails to find liba at runtime.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1253638/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1253638] Re: dynamic linker does not use DT_RUNPATH for transitive dependencies

2019-03-21 Thread Javier Sixto
This seems to be a feature of DT_RUNPATH that is do not follow transitive 
dependencies.
The problem is ld linker since v2.27(debian), enables by default new dtags ( it 
uses RUNPATH instead of RPATH), so some dependencies may not been found at 
runtime. Of course add LD_LIBRARY_PATH env, will do the tric, but those who use 
rpath options, are specially whiching to avoid that.

** Also affects: binutils (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1253638

Title:
  dynamic linker does not use DT_RUNPATH for transitive dependencies

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  $ lsb_release -rd
  Description:  Ubuntu 13.10
  Release:  13.10

  $ uname -a
  Linux mhassert 3.11.0-13-generic #20-Ubuntu SMP Wed Oct 23 07:38:26 UTC 2013 
x86_64 x86_64 x86_64 GNU/Linux

  $gcc -dumpversion
  4.8

  $ ld -v
  GNU ld (GNU Binutils for Ubuntu) 2.23.52.20130913

  $ LC_ALL=C apt-cache policy libc-bin
  libc-bin:
Installed: 2.17-93ubuntu4

  * What you expected to happen
  Binaries with DT_RPATH or DT_RUNPATH behaving identical in the absence of 
LD_LIBRARY_PATH

  * What happened instead
  DT_RUNPATH not searched for transitive dependencies.

  
  When running a binary that depends on custom libraries which in turn depend 
on custom libraries, hard-coded search paths in DT_RUNPATH behave differently 
from those in DT_RPATH.
  Paths in DT_RPATH are being considered for everything that is dynamically 
loaded, even dependencies of dependencies. Paths in DT_RUNPATH seem being 
considered only for direct dependencies of the binary.

  Searching the web I think that the one and only difference between
  DT_RPATH and DT_RUNPATH should be that DT_RPATH is considered _before_
  LD_LIBRARY_PATH and DT_RUNPATH _afterwards_. In the absence of
  LD_LIBRARY_PATH there should be no difference at all.

  I stumbled upon this problem when switching from "ld" to "gold" for
  the linker. The default for ld on Ubuntu 13.10 is "--disable-new-
  dtags" while the default for gold is "--enable-new-dtags". Therefore
  ld produces binaries with DT_RPATH and gold ones with DT_RUNPATH.

  In the attached minimal example
  - the binaries rpath and runpath both depend on libb but not directly on liba.
  - libb depends on liba.
  - liba and libb are linked without any hard-coded library paths.
  - rpath and runpath are linked with  hard-coded library paths for both liba 
and libb
  - rpath is linked with --disable-new-dtags (producing DT_RPATH)
  - rpath is linked with --enable-new-dtags (producing DT_RUNPATH)

  To test, please run make all and observe how "rpath" works while
  "runpath" fails to find liba at runtime.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1253638/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1821195] [NEW] systemd-journald reports confusing size (current usage > max)

2019-03-21 Thread Steve Langasek
Public bug reported:

$ journalctl --no-pager -l -b -u systemd-journald.service -n 1
-- Logs begin at Tue 2018-03-20 10:33:27 PDT, end at Thu 2019-03-21 08:28:45 
PDT. --
Mar 12 11:01:49 virgil systemd-journald[6237]: System journal 
(/var/log/journal/c856e8839ee179de1933c6264c9c4260) is 1.2G, max 1.1G, 0B free.
$

Dimitri asked for a bug.

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: systemd 239-7ubuntu10.10
ProcVersionSignature: Ubuntu 4.18.0-14.15-generic 4.18.20
Uname: Linux 4.18.0-14-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.10-0ubuntu13.2
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Mar 21 08:29:57 2019
InstallationDate: Installed on 2010-09-24 (3100 days ago)
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: LENOVO 2306CTO
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-14-generic 
root=/dev/mapper/hostname-root ro quiet splash vt.handoff=1
SourcePackage: systemd
UpgradeStatus: Upgraded to cosmic on 2018-10-18 (153 days ago)
dmi.bios.date: 10/25/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: G2ET97WW (2.57 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2306CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: 
dmi:bvnLENOVO:bvrG2ET97WW(2.57):bd10/25/2013:svnLENOVO:pn2306CTO:pvrThinkPadX230:rvnLENOVO:rn2306CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad X230
dmi.product.name: 2306CTO
dmi.product.sku: LENOVO_MT_2306
dmi.product.version: ThinkPad X230
dmi.sys.vendor: LENOVO

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1821195

Title:
  systemd-journald reports confusing size (current usage > max)

Status in systemd package in Ubuntu:
  New

Bug description:
  $ journalctl --no-pager -l -b -u systemd-journald.service -n 1
  -- Logs begin at Tue 2018-03-20 10:33:27 PDT, end at Thu 2019-03-21 08:28:45 
PDT. --
  Mar 12 11:01:49 virgil systemd-journald[6237]: System journal 
(/var/log/journal/c856e8839ee179de1933c6264c9c4260) is 1.2G, max 1.1G, 0B free.
  $

  Dimitri asked for a bug.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: systemd 239-7ubuntu10.10
  ProcVersionSignature: Ubuntu 4.18.0-14.15-generic 4.18.20
  Uname: Linux 4.18.0-14-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.10-0ubuntu13.2
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Mar 21 08:29:57 2019
  InstallationDate: Installed on 2010-09-24 (3100 days ago)
  InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 
(20100816.1)
  MachineType: LENOVO 2306CTO
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-14-generic 
root=/dev/mapper/hostname-root ro quiet splash vt.handoff=1
  SourcePackage: systemd
  UpgradeStatus: Upgraded to cosmic on 2018-10-18 (153 days ago)
  dmi.bios.date: 10/25/2013
  dmi.bios.vendor: LENOVO
  dmi.bios.version: G2ET97WW (2.57 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 2306CTO
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvrG2ET97WW(2.57):bd10/25/2013:svnLENOVO:pn2306CTO:pvrThinkPadX230:rvnLENOVO:rn2306CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.family: ThinkPad X230
  dmi.product.name: 2306CTO
  dmi.product.sku: LENOVO_MT_2306
  dmi.product.version: ThinkPad X230
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1821195/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 830046] Re: rsyslogd-2039: Could no open output pipe '/dev/xconsole' [try http://www.rsyslog.com/e/2039 ]

2019-03-21 Thread Ebuzer Taha Kanat
*** This bug is a duplicate of bug 459730 ***
https://bugs.launchpad.net/bugs/459730

when changing

just change this to
*.=notice;*.=warn |/dev/console

rsyslogd-2039: Could not open output pipe '/dev/console':: Permission
denied

happens.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rsyslog in Ubuntu.
https://bugs.launchpad.net/bugs/830046

Title:
  rsyslogd-2039: Could no open output pipe '/dev/xconsole' [try
  http://www.rsyslog.com/e/2039 ]

Status in rsyslog package in Ubuntu:
  Confirmed

Bug description:
  /var/log/syslog reports: Aug 20 13:27:29 T61 rsyslogd-2039: Could no open 
output pipe '/dev/xconsole' [try http://www.rsyslog.com/e/2039 ]'
  The package x11-apps is installed. /usr/bin/xconsole exists. Why does there 
not exist /dev/xconsole?
  Why does there not exist a process rsyslogd?

  ProblemType: Bug
  DistroRelease: Ubuntu 11.04
  Package: rsyslog 4.6.4-2ubuntu4
  ProcVersionSignature: Ubuntu 2.6.38-10.46-server 2.6.38.7
  Uname: Linux 2.6.38-10-server x86_64
  Architecture: amd64
  Date: Sat Aug 20 14:46:49 2011
  InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
  ProcEnviron:
   LANGUAGE=de_DE:en
   PATH=(custom, user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  SourcePackage: rsyslog
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rsyslog/+bug/830046/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1820883] Re: totem comma key does not go 1 frame back ["gst_segment_do_seek: assertion 'start <= stop' failed"]

2019-03-21 Thread Bug Watch Updater
** Changed in: gst-plugins-good
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gstreamer1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1820883

Title:
  totem comma key does not go 1 frame back ["gst_segment_do_seek:
  assertion 'start <= stop' failed"]

Status in gst-plugins-good:
  New
Status in gstreamer1.0 package in Ubuntu:
  Triaged
Status in totem package in Ubuntu:
  Triaged

Bug description:
  According help the ',' (comma) key should go 1 frame back.
  I press the ',' key once: nothing happens; press again goes forward to end 
video
  after pressing ',' the '.' (dot) key does nothing but i have a message: 
  (totem:31585): GStreamer-CRITICAL **: 18:15:31.465: gst_segment_do_seek: 
assertion 'start <= stop' failed
  pressing dot again it goes 1 frame forward

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: totem 3.32.0-1ubuntu1
  ProcVersionSignature: Ubuntu 5.0.0-7.8-generic 5.0.0
  Uname: Linux 5.0.0-7-generic x86_64
  ApportVersion: 2.20.10-0ubuntu23
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Mar 19 18:17:34 2019
  ExecutablePath: /usr/bin/totem
  InstallationDate: Installed on 2019-03-14 (5 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190314)
  SourcePackage: totem
  UpgradeStatus: No upgrade log present (probably fresh install)
  XorgLog: Error: [Errno 2] No such file or directory: '/var/log/Xorg.0.log'

To manage notifications about this bug go to:
https://bugs.launchpad.net/gst-plugins-good/+bug/1820883/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1820203] Re: [MIR] libpgm as dependency of mailman3

2019-03-21 Thread Christian Ehrhardt 
[Duplication]
No duplication of that functionality in the Archive in general or main in 
particular.

[Embedded sources and static linking]
This package does not contain embedded library sources.
This package does not statically link to libraries.
It does create static .a libs for its -dev package, but that is fine
No Go package

[Security]
I can confirm that there seems to be no CVE/Security history for this package.
It Does not:
- run a daemon as root
- uses old webkit
- uses lib*v8 directly
- open a port
- integrates arbitrary javascript into the desktop
- deals with system authentication
- uses centralized online accounts
- processes arbitrary web content

But it does
- parse data formats

Being a multicast protocol implementation in general it has to parse data that 
could have been remotely crafted.
A security review is therefore recommended.

[Common blockers]
- builds fine at the moment
- server Team committed to subscribe once this gets promoted (enough for now)
- code is not user visible, no translation needed

Not perfect but ok
- does not run build time tests (upstream source would have tests).

[Packaging red flags]
- no current ubuntu Delta to evaluate
- symbol tracking present in libpgm-5.2-0.symbols
- watch file is present
- Lintian warnings are present but ok
- debian/rules is rather clean
- no usage of Built-Using
- no golang package that would make things harder

[Upstream red flags]
- no suspicious errors during build
- no use of sudo, gksu
- no use of pkexec
- no use of LD_LIBRARY_PATH
- no important open bugs
- no Dependency on webkit, qtwebkit, libgoa-*
- no embedded copies in upstream either

Being written in C it obviously uses malloc and also non length limited (n) 
sprintf and such.
I have no good policy/tool to check if they are "incautious" as defined on 
https://wiki.ubuntu.com/MIRTeam#Upstream_red_flags
But I know that the security Team has such tools, so for that (as above for 
network related tasks) I'd recommend a security review on this package to be 
sure.

[Summary]
Ack from the MIR-Teams POV, but as outlined above a security review is 
recommended.
Assigning the security Team.


** Changed in: libpgm (Ubuntu)
 Assignee: (unassigned) => Ubuntu Security Team (ubuntu-security)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpgm in Ubuntu.
https://bugs.launchpad.net/bugs/1820203

Title:
  [MIR] libpgm as dependency of mailman3

Status in libpgm package in Ubuntu:
  New

Bug description:
  [Availability]
  The package is already universe for quite a while and build/works fine so far.
  It is for example already used for 
https://lists.canonical.com/mailman3/postorius/lists/
  OTOH it is a library that can/could be used for much more than just the 
mailman3 stack.

  It builds on all architectures (arch:any)

  [Security]

  No known CVEs found.
  The protocol had some issues a few years ago and related issues in 
Cisco/Microsoft products, but I found no open issues in the package.
  => https://cve.mitre.org/cgi-bin/cvekey.cgi?keyword=pgm

  [Quality assurance]

  As part of the mailman3 stacks as of now (Disco) this installs fine and works 
fine.
  On itself it is useful to (many) other dependencies and does not need a post 
install configuration on its own.

  The package does not ask debconf questions.

  One known bug in each of Ubuntu and Debian.
  - The Ubunut bug is outdated and should be ok with 5.2 which we have.
  - The Debian bug is only important for solaris builds
  Upstream has 16 open and 27 closed issues - nothing very severe for our 
intentions.

  The package seems get updates by Debian as needed.
  But upstream seems to have stopped releasing after 2012.
  => https://github.com/steve-o/openpgm/releases
  After talking with one of the uploaders it became clear that they still work 
on master and fixes can be pulled from there as needed.
  https://github.com/steve-o/openpgm/commits/master

  No exotic HW involved.

  There are some tests in ./openpgm/pgm/test/ and ./openpgm/pgm/*_unittest.c 
but dh_auto_test isn't catching them.
  OTOH I can't even guarantee they would be usable, but TL;DR no build time 
tests run.

  d/watch is set up and ok.

  gNo Lintian warning except newer Standards/Compat versions and no
  HTTPS links uses or GPG checks - nothing severe.

  The package does not rely on demoted or obsolete packages.
  The Scons build system is a pain, but it seems to work as packaged by Debian 
so no complains.
  No new gt2k dependencies
  As mentioned the package itself might be abandoned/orphaned by upstream

  [UI standards]

  It uses i18n from gi18n-lib to provide the infrastructure, but I found no 
translations so far.
  But that is ok as this is a low level library without (a lot) of user visible 
strings - no translations (needed).
  No End-user applications that needs a standard conformant desktop file.

  [Dependencies]

  Some dependencies are not in main, but 

[Touch-packages] [Bug 1745032] Re: AC adapter status not detected on Asus ZenBook UX410UAK

2019-03-21 Thread Kai-Heng Feng
Kernel 4.15.0-47 which includes the fix is in proposed pocket.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to upower in Ubuntu.
https://bugs.launchpad.net/bugs/1745032

Title:
  AC adapter status not detected on Asus ZenBook UX410UAK

Status in gnome-control-center package in Ubuntu:
  Fix Released
Status in gnome-shell package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in upower package in Ubuntu:
  Fix Released
Status in gnome-control-center source package in Bionic:
  Fix Committed
Status in gnome-shell source package in Bionic:
  Fix Committed
Status in linux source package in Bionic:
  Fix Committed
Status in upower source package in Bionic:
  Fix Committed
Status in gnome-control-center source package in Cosmic:
  Fix Released
Status in gnome-shell source package in Cosmic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in upower source package in Cosmic:
  Fix Released

Bug description:
  === SRU Justification ===
  [Impact]
  Some Asus laptops report "discharging" when the battery is full and AC
  is plugged

  [Test]
  Charge battery to full, the issue appears.
  Users report with the patch the behaviour is correct.

  [Fix]
  The discharge rate is 0 on those machines. Use that to detect the wrong
  status report.

  [Regression Potential]
  Low. The quirk uses strict DMI to match affected systems.

  === Original Bug Report ===
  The AC adapter status is incorrectly reported when the battery is fully 
charged. It always shows as if the adapter is not plugged in. If the battery is 
drained for a while, the adapter status is shown correctly (both connects and 
disconnects are shown).

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: linux-image-4.13.0-31-generic 4.13.0-31.34
  ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
  Uname: Linux 4.13.0-31-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3.7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  abarto 1388 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jan 23 18:26:18 2018
  InstallationDate: Installed on 2018-01-23 (0 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 004: ID 8087:0a2b Intel Corp.
   Bus 001 Device 003: ID 04f2:b57a Chicony Electronics Co., Ltd
   Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: ASUSTeK COMPUTER INC. UX410UAK
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed 
root=UUID=58ea0561-3f74-4566-9332-5e7021275160 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-4.13.0-31-generic N/A
   linux-backports-modules-4.13.0-31-generic  N/A
   linux-firmware 1.169.2
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/08/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: UX410UAK.306
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: UX410UAK
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrUX410UAK.306:bd08/08/2017:svnASUSTeKCOMPUTERINC.:pnUX410UAK:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX410UAK:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.family: UX
  dmi.product.name: UX410UAK
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1745032/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1787460] Re: Unattended upgrades removed linux-image-generic

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1787460

Title:
  Unattended upgrades removed linux-image-generic

Status in apt package in Ubuntu:
  Fix Released
Status in linux-meta package in Ubuntu:
  Triaged
Status in linux-meta-hwe package in Ubuntu:
  Triaged
Status in apt source package in Trusty:
  Fix Released
Status in linux-meta source package in Trusty:
  New
Status in linux-meta-hwe source package in Trusty:
  New
Status in apt source package in Xenial:
  Fix Released
Status in linux-meta source package in Xenial:
  New
Status in linux-meta-hwe source package in Xenial:
  New
Status in apt source package in Bionic:
  Fix Released
Status in linux-meta source package in Bionic:
  New
Status in linux-meta-hwe source package in Bionic:
  New
Status in apt source package in Cosmic:
  Fix Released
Status in linux-meta source package in Cosmic:
  New
Status in linux-meta-hwe source package in Cosmic:
  New
Status in apt source package in Disco:
  Fix Released
Status in linux-meta source package in Disco:
  Triaged
Status in linux-meta-hwe source package in Disco:
  Triaged

Bug description:
  [Impact]
  If a user accidentally removed linux-generic, unattended-upgrades will also 
autoremove linux-image-generic, leaving them without kernel upgrades.

  [Test Case]
  1. Remove all reverse dependencies of linux-image-generic
  2. Mark linux-image-generic as automatically installed
  3. Run unattended-upgrades -v --dry-run --debug to ensure that 
linux-image-generic is not removed (after verifying that it is, with old apt)

  [Regression potential]
  This adds two regular expressions to the list of packages that must not be 
automatically removed. As such, the only possible regression is that some 
packages starting with linux-image, not containing any dots, are not removed

  [Original bug report]
  On a fairly fresh install of 18.04 with no modifications whatsoever to the 
unattended-upgrades configuration, it decided to remove linux-image-generic 
which also removed linux-modules-extra which caused sound drivers to disappear, 
etc.

  The relative snippet from /var/log/unattended-upgrades/unattended-
  upgrades.log is:

  2018-08-15 06:18:00,048 INFO Starting unattended upgrades script
  2018-08-15 06:18:00,048 INFO Allowed origins are: o=Ubuntu,a=bionic, 
o=Ubuntu,a=bionic-security, o=UbuntuESM,a=bionic
  2018-08-15 06:18:01,552 INFO Removing unused kernel packages: 
linux-headers-generic linux-image-generic linux-headers-4.15.0-32-generic 
linux-headers-4.15.0-32
  2018-08-15 06:18:01,588 WARNING Keeping auto-removable linux-headers-generic 
package(s) because it would also remove the following packages which should be 
kept in this step: libxml2 linux-image-4.15.0-32-generic 
linux-modules-4.15.0-32-generic linux-modules-extra-4.15.0-32-generic
  2018-08-15 06:18:09,476 INFO Packages that were successfully auto-removed: 
linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic linux-headers-generic 
linux-image-generic
  2018-08-15 06:18:09,477 INFO Packages that are kept back: 
linux-headers-generic
  2018-08-15 06:18:10,300 INFO Packages that will be upgraded: libxml2 
linux-image-generic
  2018-08-15 06:18:10,300 INFO Writing dpkg log to 
/var/log/unattended-upgrades/unattended-upgrades-dpkg.log
  2018-08-15 06:18:39,238 INFO All upgrades installed
  2018-08-15 06:18:42,818 INFO Packages that were successfully auto-removed: 
linux-image-generic linux-modules-extra-4.15.0-32-generic
  2018-08-15 06:18:42,818 INFO Packages that are kept back:

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: unattended-upgrades 1.1ubuntu1.18.04.5
  ProcVersionSignature: Ubuntu 

[Touch-packages] [Bug 1745032] Re: AC adapter status not detected on Asus ZenBook UX410UAK

2019-03-21 Thread Łukasz Zemczak
In which bionic kernel is the fix for this present? Did the kernel portion go 
out already? Timing-wise it seems like that's the case, since there's a new 
kernel cycle starting right now. Can someone confirm that and switch the linux 
task to Fix Released if that's the case?
I'll release all of those then.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to upower in Ubuntu.
https://bugs.launchpad.net/bugs/1745032

Title:
  AC adapter status not detected on Asus ZenBook UX410UAK

Status in gnome-control-center package in Ubuntu:
  Fix Released
Status in gnome-shell package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in upower package in Ubuntu:
  Fix Released
Status in gnome-control-center source package in Bionic:
  Fix Committed
Status in gnome-shell source package in Bionic:
  Fix Committed
Status in linux source package in Bionic:
  Fix Committed
Status in upower source package in Bionic:
  Fix Committed
Status in gnome-control-center source package in Cosmic:
  Fix Released
Status in gnome-shell source package in Cosmic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in upower source package in Cosmic:
  Fix Released

Bug description:
  === SRU Justification ===
  [Impact]
  Some Asus laptops report "discharging" when the battery is full and AC
  is plugged

  [Test]
  Charge battery to full, the issue appears.
  Users report with the patch the behaviour is correct.

  [Fix]
  The discharge rate is 0 on those machines. Use that to detect the wrong
  status report.

  [Regression Potential]
  Low. The quirk uses strict DMI to match affected systems.

  === Original Bug Report ===
  The AC adapter status is incorrectly reported when the battery is fully 
charged. It always shows as if the adapter is not plugged in. If the battery is 
drained for a while, the adapter status is shown correctly (both connects and 
disconnects are shown).

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: linux-image-4.13.0-31-generic 4.13.0-31.34
  ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
  Uname: Linux 4.13.0-31-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3.7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  abarto 1388 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jan 23 18:26:18 2018
  InstallationDate: Installed on 2018-01-23 (0 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 004: ID 8087:0a2b Intel Corp.
   Bus 001 Device 003: ID 04f2:b57a Chicony Electronics Co., Ltd
   Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: ASUSTeK COMPUTER INC. UX410UAK
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed 
root=UUID=58ea0561-3f74-4566-9332-5e7021275160 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-4.13.0-31-generic N/A
   linux-backports-modules-4.13.0-31-generic  N/A
   linux-firmware 1.169.2
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/08/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: UX410UAK.306
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: UX410UAK
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrUX410UAK.306:bd08/08/2017:svnASUSTeKCOMPUTERINC.:pnUX410UAK:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX410UAK:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.family: UX
  dmi.product.name: UX410UAK
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1745032/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814727] Re: Backport never pinning and Packages-Require-Authorization

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814727

Title:
  Backport never pinning and Packages-Require-Authorization

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  These are not driven from a direct user experience, but are related to other 
developments:

  (1) unattended-upgrades could use the never pinning to disable
  repositories rather than switching candidates. That would simplify
  code quite a bit.

  (2) Packages-Require-Authorization lets a repository declare that
  downloading packages from it requires authorization. This is useful
  both for private repositories, as it can prevent unattended-upgrades
  failures if you remove authorization info; and it also allows creating
  a new form of semi-private repository, where only pool/ requires
  authorization.

  [Test case]
  Tests are included in autopkgtests and cover the common scenarios
  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-packages-require-authorization:
  (1) Add repository with Packages-Require-Authorization and no auth.conf 
entry: pin -32768
  (2) Add repository with Packages-Require-Authorization and a auth.conf entry: 
pin 500
  (3) As (2), but a custom pin still applies

  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-policy-pinning#L365
  (1) Test that Pin-Priority: never overrides both per-package pins and 
per-repository pins
  (2) Test that Pin-Priority: never is only applied for per-repository 
(Package: *) pins

  [Regression potential]
  The changes might introduce regressions in pinning. The pinning 
implementation in trusty is substantially different from the other releases, 
and should thus require more testing.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814727/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815761] Re: Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have to be invoked

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815761

Title:
  Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have
  to be invoked

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Dpkg::Post-Invoke is run only when dpkg had to be run. We'd like to be able 
to show some extra output even if no changes had been made. Imagine "the user 
disabled the security repo, and does not get any updates shown scenario" - we'd 
like to be able to tell them that there are security updates available after 
all.

  [Test case]
  1. Specify an APT::Install::Post-Invoke-Success hook

  2. Make sure it runs even if there are no changes, using apt upgrade
  -tnow

  [Regression potential]
  No-change upgrades/install can now fail if this new hooks fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815761/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1787460] Re: Unattended upgrades removed linux-image-generic

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1787460

Title:
  Unattended upgrades removed linux-image-generic

Status in apt package in Ubuntu:
  Fix Released
Status in linux-meta package in Ubuntu:
  Triaged
Status in linux-meta-hwe package in Ubuntu:
  Triaged
Status in apt source package in Trusty:
  Fix Released
Status in linux-meta source package in Trusty:
  New
Status in linux-meta-hwe source package in Trusty:
  New
Status in apt source package in Xenial:
  Fix Released
Status in linux-meta source package in Xenial:
  New
Status in linux-meta-hwe source package in Xenial:
  New
Status in apt source package in Bionic:
  Fix Released
Status in linux-meta source package in Bionic:
  New
Status in linux-meta-hwe source package in Bionic:
  New
Status in apt source package in Cosmic:
  Fix Released
Status in linux-meta source package in Cosmic:
  New
Status in linux-meta-hwe source package in Cosmic:
  New
Status in apt source package in Disco:
  Fix Released
Status in linux-meta source package in Disco:
  Triaged
Status in linux-meta-hwe source package in Disco:
  Triaged

Bug description:
  [Impact]
  If a user accidentally removed linux-generic, unattended-upgrades will also 
autoremove linux-image-generic, leaving them without kernel upgrades.

  [Test Case]
  1. Remove all reverse dependencies of linux-image-generic
  2. Mark linux-image-generic as automatically installed
  3. Run unattended-upgrades -v --dry-run --debug to ensure that 
linux-image-generic is not removed (after verifying that it is, with old apt)

  [Regression potential]
  This adds two regular expressions to the list of packages that must not be 
automatically removed. As such, the only possible regression is that some 
packages starting with linux-image, not containing any dots, are not removed

  [Original bug report]
  On a fairly fresh install of 18.04 with no modifications whatsoever to the 
unattended-upgrades configuration, it decided to remove linux-image-generic 
which also removed linux-modules-extra which caused sound drivers to disappear, 
etc.

  The relative snippet from /var/log/unattended-upgrades/unattended-
  upgrades.log is:

  2018-08-15 06:18:00,048 INFO Starting unattended upgrades script
  2018-08-15 06:18:00,048 INFO Allowed origins are: o=Ubuntu,a=bionic, 
o=Ubuntu,a=bionic-security, o=UbuntuESM,a=bionic
  2018-08-15 06:18:01,552 INFO Removing unused kernel packages: 
linux-headers-generic linux-image-generic linux-headers-4.15.0-32-generic 
linux-headers-4.15.0-32
  2018-08-15 06:18:01,588 WARNING Keeping auto-removable linux-headers-generic 
package(s) because it would also remove the following packages which should be 
kept in this step: libxml2 linux-image-4.15.0-32-generic 
linux-modules-4.15.0-32-generic linux-modules-extra-4.15.0-32-generic
  2018-08-15 06:18:09,476 INFO Packages that were successfully auto-removed: 
linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic linux-headers-generic 
linux-image-generic
  2018-08-15 06:18:09,477 INFO Packages that are kept back: 
linux-headers-generic
  2018-08-15 06:18:10,300 INFO Packages that will be upgraded: libxml2 
linux-image-generic
  2018-08-15 06:18:10,300 INFO Writing dpkg log to 
/var/log/unattended-upgrades/unattended-upgrades-dpkg.log
  2018-08-15 06:18:39,238 INFO All upgrades installed
  2018-08-15 06:18:42,818 INFO Packages that were successfully auto-removed: 
linux-image-generic linux-modules-extra-4.15.0-32-generic
  2018-08-15 06:18:42,818 INFO Packages that are kept back:

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: unattended-upgrades 1.1ubuntu1.18.04.5
  ProcVersionSignature: Ubuntu 4.15.0-32.35-generic 4.15.18
  Uname: Linux 4.15.0-32-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.9-0ubuntu7.3
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Aug 16 13:17:30 2018
  InstallationDate: Installed on 

[Touch-packages] [Bug 1814727] Re: Backport never pinning and Packages-Require-Authorization

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814727

Title:
  Backport never pinning and Packages-Require-Authorization

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  These are not driven from a direct user experience, but are related to other 
developments:

  (1) unattended-upgrades could use the never pinning to disable
  repositories rather than switching candidates. That would simplify
  code quite a bit.

  (2) Packages-Require-Authorization lets a repository declare that
  downloading packages from it requires authorization. This is useful
  both for private repositories, as it can prevent unattended-upgrades
  failures if you remove authorization info; and it also allows creating
  a new form of semi-private repository, where only pool/ requires
  authorization.

  [Test case]
  Tests are included in autopkgtests and cover the common scenarios
  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-packages-require-authorization:
  (1) Add repository with Packages-Require-Authorization and no auth.conf 
entry: pin -32768
  (2) Add repository with Packages-Require-Authorization and a auth.conf entry: 
pin 500
  (3) As (2), but a custom pin still applies

  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-policy-pinning#L365
  (1) Test that Pin-Priority: never overrides both per-package pins and 
per-repository pins
  (2) Test that Pin-Priority: never is only applied for per-repository 
(Package: *) pins

  [Regression potential]
  The changes might introduce regressions in pinning. The pinning 
implementation in trusty is substantially different from the other releases, 
and should thus require more testing.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814727/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1811120] Re: Backport auth.conf.d

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1811120

Title:
  Backport auth.conf.d

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Backport auth.conf.d support to allow specifying per-repository 
authentication data in separate files, so packages can setup authenticated 
repositories.

  [Regression potential]
  We ignore errors from opening auth.conf.d files, so regressions can only 
occur when parsing a file fails, in which case apt would exit with an error.

  [Test case]
  The test suite provides autopkgtests for auth.conf.d which creates an 
auth.conf.d file and checks that it is successfully used; so we can check if 
those passed.

  Except on trusty- do it manually there, by adding a file for a private
  ppa, and then running update.

  - make sure to upgrade apt-transport-https on trusty & xenial...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1811120/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1812696] Re: APT doc and manpage uses wrong ubuntu-codename

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1812696

Title:
  APT doc and manpage uses wrong ubuntu-codename

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]

  APT documentation/example/manpages isn't referencing the current release
  which could be misleading for certain users.

  ---
  APT src code:
  ---
  [GOOD ubuntu-codename]

  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]

  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src http://security.ubuntu.com/ubuntu -security main 
restricted

  deb http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  deb-src http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  ---

  The ubuntu-codename variable for Xenial and late in APT points to
  'trusty or 'xenial' which generate the doc example & manpage with the
  wrong release instead of the actual ubuntu-codename.

  APT in Xenial point to 'trusty'.
  APT in Bionic and late to 'xenial'

  It also affect the man page:

  Example took from Bionic:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html
  http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

  [Test Case]

  With Xenial and late:

   * Look sources.list(5) manpage
  Ex:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html

   * Look apt_preferences(5) manpage
  Ex: http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

   * Look /usr/share/doc/apt/examples/sources.list

  $ lsb_release -cs
  bionic

  $ cat /usr/share/doc/apt/examples/sources.list
  
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu xenial main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial main restricted

  deb http://security.ubuntu.com/ubuntu xenial-security main restricted
  deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted

  deb http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  --

  You'll notice they all point to the wrong release.

  While we understand it's not a "bug' and only a reference/example...
  I think it's for the best interest of all if the examples/manpage reference 
the current release.

  [Regression Potential]

   * None, it only affect documentation/examples and manpages. No
  behavior change in the APT code.

  [Other Info]

  [Original Description]
  From APT src code :

  ---
  [GOOD ubuntu-codename]
  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]
  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed 

[Touch-packages] [Bug 1815750] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815750

Title:
  autopkgtest failure due to security update

Status in apt package in Ubuntu:
  New
Status in apt source package in Trusty:
  Invalid
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Invalid
Status in apt source package in Cosmic:
  Invalid

Bug description:
  [impact]

  the security update for:
  SECURITY UPDATE: content injection in http method (CVE-2019-3462)
  (LP: #1812353)

  causes an autopkgtest failure for:
  Failed tests:  test-cve-2019-3462-dequote-injection

  [test case]

  run autopkgtest on the security-patched version

  [regression potential]

  the test needs to be updated, so the regression potential is around
  the test continuing to fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815750/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815750] Re: autopkgtest failure due to security update

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815750

Title:
  autopkgtest failure due to security update

Status in apt package in Ubuntu:
  New
Status in apt source package in Trusty:
  Invalid
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Invalid
Status in apt source package in Cosmic:
  Invalid

Bug description:
  [impact]

  the security update for:
  SECURITY UPDATE: content injection in http method (CVE-2019-3462)
  (LP: #1812353)

  causes an autopkgtest failure for:
  Failed tests:  test-cve-2019-3462-dequote-injection

  [test case]

  run autopkgtest on the security-patched version

  [regression potential]

  the test needs to be updated, so the regression potential is around
  the test continuing to fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815750/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1811120] Re: Backport auth.conf.d

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1811120

Title:
  Backport auth.conf.d

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Backport auth.conf.d support to allow specifying per-repository 
authentication data in separate files, so packages can setup authenticated 
repositories.

  [Regression potential]
  We ignore errors from opening auth.conf.d files, so regressions can only 
occur when parsing a file fails, in which case apt would exit with an error.

  [Test case]
  The test suite provides autopkgtests for auth.conf.d which creates an 
auth.conf.d file and checks that it is successfully used; so we can check if 
those passed.

  Except on trusty- do it manually there, by adding a file for a private
  ppa, and then running update.

  - make sure to upgrade apt-transport-https on trusty & xenial...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1811120/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815760] Re: Additional hooks for update

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815760

Title:
  Additional hooks for update

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Invalid
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  We want to write some scripts for apt that run on update if apt shows an 
update count, to provide further details about the new cache.

  [Test case]

  Specify a APT::Update::Post-Invoke-Stats script and check that

  (1) it shows in apt update
  (2) it does not show in apt-get update

  [Regression potential]
  More scripts may fail the update now, but there should not be any registered 
so far.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815760/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817088] Re: (silent) testsuite failure in test-apt-progress-fd-errror

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1817088

Title:
  (silent) testsuite failure in test-apt-progress-fd-errror

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released

Bug description:
  [Impact]
  test-apt-progress-fd-error is failing on trusty due to a space difference, 
but the failure is not causing the tests to fail.

  [Test case]
  The fix fixes the test case and rewrites it to also detect failure. We can 
however, only detect success in the testsuite, as we do not have a testsuite 
testsuite :)

  [Regression potential]
  If something is wrong with the change, it could cause the tests to fail even 
though they are good.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1817088/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1818996] Re: auth.conf.d directory missing

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1818996

Title:
  auth.conf.d directory missing

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  apt in disco and the current set of SRUs introduce support for .conf snippets 
in auth.conf.d, but accidentally did not introduce the auth.conf.d directory, 
making it hard to discover if support for it exists, and requiring users to 
create the dir if it is missing - that's bad UX.

  [Test case]
  Install apt, make sure /etc/apt/auth.conf.d exists

  [Regression potential]
  It's just a directory, what could possibly go wrong?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1818996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815761] Re: Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have to be invoked

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.2.31

---
apt (1.2.31) xenial; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.6.10 (via 1.4.y branch)

apt (1.2.30) xenial; urgency=medium

  * merge security upload for content injection in http method (CVE-2019-3462);
with fixed autopkgtest (LP: #1815750)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * doc: Set ubuntu-codename to xenial (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Tue, 12 Mar 2019 14:59:01
+0100

** Changed in: apt (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2019-3462

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815761

Title:
  Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have
  to be invoked

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Dpkg::Post-Invoke is run only when dpkg had to be run. We'd like to be able 
to show some extra output even if no changes had been made. Imagine "the user 
disabled the security repo, and does not get any updates shown scenario" - we'd 
like to be able to tell them that there are security updates available after 
all.

  [Test case]
  1. Specify an APT::Install::Post-Invoke-Success hook

  2. Make sure it runs even if there are no changes, using apt upgrade
  -tnow

  [Regression potential]
  No-change upgrades/install can now fail if this new hooks fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815761/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1818996] Re: auth.conf.d directory missing

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1818996

Title:
  auth.conf.d directory missing

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  apt in disco and the current set of SRUs introduce support for .conf snippets 
in auth.conf.d, but accidentally did not introduce the auth.conf.d directory, 
making it hard to discover if support for it exists, and requiring users to 
create the dir if it is missing - that's bad UX.

  [Test case]
  Install apt, make sure /etc/apt/auth.conf.d exists

  [Regression potential]
  It's just a directory, what could possibly go wrong?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1818996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817048] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1817048

Title:
  apt/trusty: Stack overflow in apt-ftparchive; on arm64, breaking about
  a third of the tests

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released

Bug description:
  [Impact]
  autopkgtest suite on arm64 is basically useless, as about a third of the 
tests do not work, because they rely on apt-ftparchive generating an archive

  [Test case]
  Substantially less tests should fail, there should be no segfaults.

  [Regression potential]
  I am cherry-picking a fix that changes statically length arrays (that are too 
small) to vector. A possible regression could be fields missing I guess, it 
should definitely be easily noticeable. Low risk.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1817048/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817048] Re: apt/trusty: Stack overflow in apt-ftparchive; on arm64, breaking about a third of the tests

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.0.1ubuntu2.22

---
apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
(LP: #1817048)

 -- Julian Andres Klode   Tue, 12 Mar 2019 15:15:54
+0100

** Changed in: apt (Ubuntu Trusty)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1817048

Title:
  apt/trusty: Stack overflow in apt-ftparchive; on arm64, breaking about
  a third of the tests

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released

Bug description:
  [Impact]
  autopkgtest suite on arm64 is basically useless, as about a third of the 
tests do not work, because they rely on apt-ftparchive generating an archive

  [Test case]
  Substantially less tests should fail, there should be no segfaults.

  [Regression potential]
  I am cherry-picking a fix that changes statically length arrays (that are too 
small) to vector. A possible regression could be fields missing I guess, it 
should definitely be easily noticeable. Low risk.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1817048/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817088] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1817088

Title:
  (silent) testsuite failure in test-apt-progress-fd-errror

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Released

Bug description:
  [Impact]
  test-apt-progress-fd-error is failing on trusty due to a space difference, 
but the failure is not causing the tests to fail.

  [Test case]
  The fix fixes the test case and rewrites it to also detect failure. We can 
however, only detect success in the testsuite, as we do not have a testsuite 
testsuite :)

  [Regression potential]
  If something is wrong with the change, it could cause the tests to fail even 
though they are good.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1817088/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1806458] Re: Intel I219-V ethernet connection lost

2019-03-21 Thread Kai-Heng Feng
Is this same as LP: #1785171 and #1802691?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1806458

Title:
  Intel I219-V ethernet connection lost

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  Ethernet connection id dropped randomly, sometimes works fine for the whole 
day, sometimes the connection falls 2 or 3 times i a hour. I'm reporting this 
bug being unable to add usable info to 
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1785171 that seems similar.
  I have the problem with Ubuntu 18.10 with standard kernel and with 19.04 with 
standard (4.18.0-11) and with 4.20.0-042000rc4 mainline kernel.
  When the connection drops i can restart it just closing and restarting the 
net.
  Problem: when the connection is dropped and i run 'ubuntu-bug systemd' i'm 
forced to do reconnect to send the doc.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: systemd 239-7ubuntu14
  Uname: Linux 4.20.0-042000rc4-generic x86_64
  ApportVersion: 2.20.10-0ubuntu14
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Dec  3 18:33:12 2018
  InstallationDate: Installed on 2018-11-07 (26 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181107)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
   Bus 001 Device 002: ID 058f:6377 Alcor Micro Corp. AU6375 4-LUN card reader
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.20.0-042000rc4-generic 
root=UUID=841241bf-e35d-4dee-a750-dac4a9bda901 ro quiet splash
  SourcePackage: systemd
  SystemdDelta:
   [EXTENDED]   /usr/lib/systemd/system/rc-local.service → 
/usr/lib/systemd/system/rc-local.service.d/debian.conf
   [EXTENDED]   /usr/lib/systemd/system/user@.service → 
/usr/lib/systemd/system/user@.service.d/timeout.conf
   
   2 overridden configuration files found.
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/11/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.10
  dmi.board.name: H110M-G/M.2
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd05/11/2017:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH110M-G/M.2:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.10-0ubuntu14
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 19.04
  InstallationDate: Installed on 2018-11-07 (26 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181107)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
   Bus 001 Device 002: ID 058f:6377 Alcor Micro Corp. AU6375 4-LUN card reader
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  Package: systemd 239-7ubuntu14
  PackageArchitecture: amd64
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-11-generic 
root=UUID=841241bf-e35d-4dee-a750-dac4a9bda901 ro quiet splash
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  SystemdDelta:
   [EXTENDED]   /usr/lib/systemd/system/rc-local.service → 
/usr/lib/systemd/system/rc-local.service.d/debian.conf
   [EXTENDED]   /usr/lib/systemd/system/user@.service → 
/usr/lib/systemd/system/user@.service.d/timeout.conf
   
   2 overridden configuration files found.
  Tags:  wayland-session disco
  Uname: Linux 4.18.0-11-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 05/11/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.10
  dmi.board.name: H110M-G/M.2
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd05/11/2017:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH110M-G/M.2:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.sku: To Be Filled By O.E.M.
  

[Touch-packages] [Bug 1804280] Re: intermittent periods of packet loss and high latency

2019-03-21 Thread Kai-Heng Feng
Is this same as LP: #1785171 and #1802691?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1804280

Title:
  intermittent periods of packet loss and high latency

Status in linux package in Ubuntu:
  Confirmed
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  Intermittently and unpredictably, ping response times and packet loss
  will spike to unusable levels.  Normal ping times are about .25 ms for
  other hosts on the local network, with essentially no packet loss.
  During the problematic periods (usually lasting 2-10 minutes), packet
  loss jumps to about 50% and ping response times on the packets that
  aren't dropped jump to between 250 and 750 ms.

  This behavior started when I upgraded from Kubuntu 16.04 to Kubuntu
  18.04.  Changing which host on the network I test this with has no
  effect (and during this, those other hosts are able to use the network
  without any problem).  Replacing the cable changes nothing.  Using a
  different Ethernet interface changes nothing.  Replacing the switch
  changes nothing.  This is almost certainly not a hardware problem.

  There is a chance that using wireless instead of Ethernet would fix
  the issue, but I have been avoiding that since the wired connection is
  much faster when Kubuntu is not malfunctioning.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: network-manager 1.10.6-2ubuntu1.1
  ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Tue Nov 20 12:48:05 2018
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2016-12-09 (711 days ago)
  InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  IpRoute:
   default via [removed] dev enp0s31f6 proto dhcp metric 100
   169.254.0.0/16 dev enp0s31f6 scope link metric 1000
   [removed]/24 dev enp0s31f6 proto kernel scope link src [removed] metric 100
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  SourcePackage: network-manager
  UpgradeStatus: Upgraded to bionic on 2018-08-19 (92 days ago)
  nmcli-dev:
   DEVICE TYPE  STATE DBUS-PATH 
 CONNECTION  CON-UUID  CON-PATH
   enp0s31f6  ethernet  connected 
/org/freedesktop/NetworkManager/Devices/2  Wired connection 1  
2e0d0ce3-8ee2-3c06-815d-eb9a42873b3b  
/org/freedesktop/NetworkManager/ActiveConnection/5
   [removed]  btdisconnected  /org/freedesktop/NetworkManager/Devices/5 
 --  ----
   wlp3s0 wifi  disconnected  
/org/freedesktop/NetworkManager/Devices/4  --  --   
 --
   lo loopback  unmanaged 
/org/freedesktop/NetworkManager/Devices/1  --  --   
 --
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.10.6   connected  started  full  enabled enabled  
enabled  enabled  enabled
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  dan2053 F pulseaudio
   /dev/snd/pcmC1D0c:   dan2053 F...m pulseaudio
   /dev/snd/controlC1:  dan2053 F pulseaudio
  CurrentDesktop: KDE
  DistroRelease: Ubuntu 18.04
  HibernationDevice: RESUME=UUID=4eadd7fe-e046-471d-b0ee-f1c85365411e
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2016-12-09 (712 days ago)
  InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  IpRoute:
   default via 192.168.4.1 dev enp0s31f6 proto dhcp metric 100 
   169.254.0.0/16 dev enp0s31f6 scope link metric 1000 
   192.168.4.0/24 dev enp0s31f6 proto kernel scope link src 192.168.4.42 metric 
100
  MachineType: Dell Inc. Precision Tower 3420
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  Package: network-manager 1.10.6-2ubuntu1.1
  PackageArchitecture: amd64
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-39-generic 
root=UUID=89b1b98c-8c19-4200-966b-190a0ca0 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-39-generic N/A
   linux-backports-modules-4.15.0-39-generic  N/A
   linux-firmware 1.173.2
  Tags:  bionic
  Uname: Linux 

[Touch-packages] [Bug 1820944] Re: package openssh-server 1:7.2p2-4ubuntu2.8 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 2

2019-03-21 Thread Paride Legovini
Thank you for your report.

This looks like a local configuration problem, rather than a bug in
Ubuntu.

You can find pointers to get help for this sort of problem here:
http://www.ubuntu.com/support/community

Since we use this bug tracker to track bugs in Ubuntu, rather than
configuration problems, I'm marking this bug as Invalid. This helps us
to focus on fixing bugs in Ubuntu.

If you believe that this is really a bug, then you may find it helpful
to read "How to report bugs effectively"
http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful
if you would then provide a more complete description of the problem,
explain why you believe this is a bug in Ubuntu rather than a problem
specific to your system, and then change the bug status back to New.

** Changed in: openssh (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1820944

Title:
  package openssh-server 1:7.2p2-4ubuntu2.8 failed to install/upgrade:
  подпроцесс установлен сценарий post-installation возвратил код ошибки
  2

Status in openssh package in Ubuntu:
  Invalid

Bug description:
  I tried to command "sudo apt-get install ssh"

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: openssh-server 1:7.2p2-4ubuntu2.8
  ProcVersionSignature: Ubuntu 4.15.0-46.49~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-46-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  Date: Tue Mar 19 10:15:17 2019
  ErrorMessage: подпроцесс установлен сценарий post-installation возвратил код 
ошибки 2
  InstallationDate: Installed on 2018-08-11 (220 days ago)
  InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 
(20180228)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.5
   apt  1.2.29ubuntu0.1
  SSHDConfig: Error: command ['/usr/sbin/sshd', '-T'] failed with exit code 1: 
/etc/ssh/sshd_config: No such file or directory
  SourcePackage: openssh
  Title: package openssh-server 1:7.2p2-4ubuntu2.8 failed to install/upgrade: 
подпроцесс установлен сценарий post-installation возвратил код ошибки 2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1820944/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1812696] Re: APT doc and manpage uses wrong ubuntu-codename

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.6.10

---
apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:34:07
+0100

** Changed in: apt (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1812696

Title:
  APT doc and manpage uses wrong ubuntu-codename

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]

  APT documentation/example/manpages isn't referencing the current release
  which could be misleading for certain users.

  ---
  APT src code:
  ---
  [GOOD ubuntu-codename]

  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]

  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src http://security.ubuntu.com/ubuntu -security main 
restricted

  deb http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  deb-src http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  ---

  The ubuntu-codename variable for Xenial and late in APT points to
  'trusty or 'xenial' which generate the doc example & manpage with the
  wrong release instead of the actual ubuntu-codename.

  APT in Xenial point to 'trusty'.
  APT in Bionic and late to 'xenial'

  It also affect the man page:

  Example took from Bionic:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html
  http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

  [Test Case]

  With Xenial and late:

   * Look sources.list(5) manpage
  Ex:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html

   * Look apt_preferences(5) manpage
  Ex: http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

   * Look /usr/share/doc/apt/examples/sources.list

  $ lsb_release -cs
  bionic

  $ cat /usr/share/doc/apt/examples/sources.list
  
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu xenial main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial main restricted

  deb http://security.ubuntu.com/ubuntu xenial-security main restricted
  deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted

  deb http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  --

  You'll notice they all point to the wrong release.

  While we understand it's not a "bug' and only a reference/example...
  I think it's for the best interest of all if the examples/manpage reference 
the current release.

  [Regression Potential]

   * None, it only affect documentation/examples and manpages. No
  behavior change in the APT code.

  [Other Info]

  [Original Description]
  From APT src code :

  ---
  [GOOD ubuntu-codename]
  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]
  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src 

[Touch-packages] [Bug 1814543] Re: deal with EPIPE from json hooks

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.6.10

---
apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:34:07
+0100

** Changed in: apt (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814543

Title:
  deal with EPIPE from json hooks

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  json hooks ending with EPIPE on first read fail, but should simply do 
nothing. This causes spurious failures of uninstalled hooks.

  Also, there is a missing error exit, causing errors reported by the
  script to not exit.

  [Test case]
  For the first part, I cannot generate one. This was discovered by snapd ci, 
but I did not find a reproducer yet.

  FWIW, the change should be tiny enough to see that it is not wrong:
  -if (errno != ECONNRESET)
  +if (errno != ECONNRESET && errno != EPIPE)
  _error->Error("Could not read response to hello message from hook 
%s: %s", Opts->Value.c_str(), strerror(errno));

  
  The missing error handling is the next lines:
 else if (strstr(line, "error") != nullptr)
 {
   _error->Error("Hook %s reported an error during hello: %s", 
Opts->Value.c_str(), line); 
  +goto out;
 }

  
  that can be checked:

  sudo apt -o AptCli::Hooks::Install::="/usr/bin/printf '{error should
  be json}\n\n' >&3" install

  
  [Regression potential]
  JSON hooks failures with EPIPE are now ignored, so if it fails with EPIPE for 
other reasons than just exiting, I guess we might miss it

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814543/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815761] Re: Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have to be invoked

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.6.10

---
apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:34:07
+0100

** Changed in: apt (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815761

Title:
  Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have
  to be invoked

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Dpkg::Post-Invoke is run only when dpkg had to be run. We'd like to be able 
to show some extra output even if no changes had been made. Imagine "the user 
disabled the security repo, and does not get any updates shown scenario" - we'd 
like to be able to tell them that there are security updates available after 
all.

  [Test case]
  1. Specify an APT::Install::Post-Invoke-Success hook

  2. Make sure it runs even if there are no changes, using apt upgrade
  -tnow

  [Regression potential]
  No-change upgrades/install can now fail if this new hooks fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815761/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814727] Re: Backport never pinning and Packages-Require-Authorization

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.6.10

---
apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:34:07
+0100

** Changed in: apt (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814727

Title:
  Backport never pinning and Packages-Require-Authorization

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  These are not driven from a direct user experience, but are related to other 
developments:

  (1) unattended-upgrades could use the never pinning to disable
  repositories rather than switching candidates. That would simplify
  code quite a bit.

  (2) Packages-Require-Authorization lets a repository declare that
  downloading packages from it requires authorization. This is useful
  both for private repositories, as it can prevent unattended-upgrades
  failures if you remove authorization info; and it also allows creating
  a new form of semi-private repository, where only pool/ requires
  authorization.

  [Test case]
  Tests are included in autopkgtests and cover the common scenarios
  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-packages-require-authorization:
  (1) Add repository with Packages-Require-Authorization and no auth.conf 
entry: pin -32768
  (2) Add repository with Packages-Require-Authorization and a auth.conf entry: 
pin 500
  (3) As (2), but a custom pin still applies

  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-policy-pinning#L365
  (1) Test that Pin-Priority: never overrides both per-package pins and 
per-repository pins
  (2) Test that Pin-Priority: never is only applied for per-repository 
(Package: *) pins

  [Regression potential]
  The changes might introduce regressions in pinning. The pinning 
implementation in trusty is substantially different from the other releases, 
and should thus require more testing.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814727/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1818996] Re: auth.conf.d directory missing

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.6.10

---
apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:34:07
+0100

** Changed in: apt (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1818996

Title:
  auth.conf.d directory missing

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  apt in disco and the current set of SRUs introduce support for .conf snippets 
in auth.conf.d, but accidentally did not introduce the auth.conf.d directory, 
making it hard to discover if support for it exists, and requiring users to 
create the dir if it is missing - that's bad UX.

  [Test case]
  Install apt, make sure /etc/apt/auth.conf.d exists

  [Regression potential]
  It's just a directory, what could possibly go wrong?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1818996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815760] Re: Additional hooks for update

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.6.10

---
apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:34:07
+0100

** Changed in: apt (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815760

Title:
  Additional hooks for update

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Invalid
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Released
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  We want to write some scripts for apt that run on update if apt shows an 
update count, to provide further details about the new cache.

  [Test case]

  Specify a APT::Update::Post-Invoke-Stats script and check that

  (1) it shows in apt update
  (2) it does not show in apt-get update

  [Regression potential]
  More scripts may fail the update now, but there should not be any registered 
so far.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815760/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1812696] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1812696

Title:
  APT doc and manpage uses wrong ubuntu-codename

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]

  APT documentation/example/manpages isn't referencing the current release
  which could be misleading for certain users.

  ---
  APT src code:
  ---
  [GOOD ubuntu-codename]

  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]

  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src http://security.ubuntu.com/ubuntu -security main 
restricted

  deb http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  deb-src http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  ---

  The ubuntu-codename variable for Xenial and late in APT points to
  'trusty or 'xenial' which generate the doc example & manpage with the
  wrong release instead of the actual ubuntu-codename.

  APT in Xenial point to 'trusty'.
  APT in Bionic and late to 'xenial'

  It also affect the man page:

  Example took from Bionic:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html
  http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

  [Test Case]

  With Xenial and late:

   * Look sources.list(5) manpage
  Ex:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html

   * Look apt_preferences(5) manpage
  Ex: http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

   * Look /usr/share/doc/apt/examples/sources.list

  $ lsb_release -cs
  bionic

  $ cat /usr/share/doc/apt/examples/sources.list
  
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu xenial main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial main restricted

  deb http://security.ubuntu.com/ubuntu xenial-security main restricted
  deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted

  deb http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  --

  You'll notice they all point to the wrong release.

  While we understand it's not a "bug' and only a reference/example...
  I think it's for the best interest of all if the examples/manpage reference 
the current release.

  [Regression Potential]

   * None, it only affect documentation/examples and manpages. No
  behavior change in the APT code.

  [Other Info]

  [Original Description]
  From APT src code :

  ---
  [GOOD ubuntu-codename]
  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]
  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src http://security.ubuntu.com/ubuntu -security main 
restricted

  deb http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  deb-src http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  ---

  The ubuntu-codename variable for Bionic and late in APT points to
  Xenial which generate the doc example with Xenial instead of the
  actual codename.

  * ./doc/sources.list.5.xml
  ---
   %aptverbatiment;
  ---

  It also seems to affect the man page 

[Touch-packages] [Bug 1812696] Re: APT doc and manpage uses wrong ubuntu-codename

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.7.4

---
apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:31:46
+0100

** Changed in: apt (Ubuntu Cosmic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1812696

Title:
  APT doc and manpage uses wrong ubuntu-codename

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]

  APT documentation/example/manpages isn't referencing the current release
  which could be misleading for certain users.

  ---
  APT src code:
  ---
  [GOOD ubuntu-codename]

  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]

  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src http://security.ubuntu.com/ubuntu -security main 
restricted

  deb http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  deb-src http://us.archive.ubuntu.com/ubuntu -updates main 
restricted
  ---

  The ubuntu-codename variable for Xenial and late in APT points to
  'trusty or 'xenial' which generate the doc example & manpage with the
  wrong release instead of the actual ubuntu-codename.

  APT in Xenial point to 'trusty'.
  APT in Bionic and late to 'xenial'

  It also affect the man page:

  Example took from Bionic:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html
  http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

  [Test Case]

  With Xenial and late:

   * Look sources.list(5) manpage
  Ex:
  http://manpages.ubuntu.com/manpages/bionic/man5/sources.list.5.html

   * Look apt_preferences(5) manpage
  Ex: http://manpages.ubuntu.com/manpages/bionic/man5/apt_preferences.5.html

   * Look /usr/share/doc/apt/examples/sources.list

  $ lsb_release -cs
  bionic

  $ cat /usr/share/doc/apt/examples/sources.list
  
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu xenial main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial main restricted

  deb http://security.ubuntu.com/ubuntu xenial-security main restricted
  deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted

  deb http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu xenial-updates main restricted
  --

  You'll notice they all point to the wrong release.

  While we understand it's not a "bug' and only a reference/example...
  I think it's for the best interest of all if the examples/manpage reference 
the current release.

  [Regression Potential]

   * None, it only affect documentation/examples and manpages. No
  behavior change in the APT code.

  [Other Info]

  [Original Description]
  From APT src code :

  ---
  [GOOD ubuntu-codename]
  * trusty:
  apt-1.0.1ubuntu2.18/doc/apt-verbatim.ent:

  [WRONG ubuntu-codename]
  * xenial:
  apt-1.2.29/doc/apt-verbatim.ent:

  * bionic:
  apt-1.6.7/doc/apt-verbatim.ent:

  * disco:
  apt-1.8.0~alpha3/doc/apt-verbatim.ent:
  ---

  * vendor/ubuntu/sources.list.in
  ---
  # See sources.list(5) manpage for more information
  # Remember that CD-ROMs, DVDs and such are managed through the apt-cdrom tool.
  deb http://us.archive.ubuntu.com/ubuntu  main restricted
  deb-src http://us.archive.ubuntu.com/ubuntu  main restricted

  deb http://security.ubuntu.com/ubuntu -security main 
restricted
  deb-src 

[Touch-packages] [Bug 1814727] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814727

Title:
  Backport never pinning and Packages-Require-Authorization

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  These are not driven from a direct user experience, but are related to other 
developments:

  (1) unattended-upgrades could use the never pinning to disable
  repositories rather than switching candidates. That would simplify
  code quite a bit.

  (2) Packages-Require-Authorization lets a repository declare that
  downloading packages from it requires authorization. This is useful
  both for private repositories, as it can prevent unattended-upgrades
  failures if you remove authorization info; and it also allows creating
  a new form of semi-private repository, where only pool/ requires
  authorization.

  [Test case]
  Tests are included in autopkgtests and cover the common scenarios
  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-packages-require-authorization:
  (1) Add repository with Packages-Require-Authorization and no auth.conf 
entry: pin -32768
  (2) Add repository with Packages-Require-Authorization and a auth.conf entry: 
pin 500
  (3) As (2), but a custom pin still applies

  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-policy-pinning#L365
  (1) Test that Pin-Priority: never overrides both per-package pins and 
per-repository pins
  (2) Test that Pin-Priority: never is only applied for per-repository 
(Package: *) pins

  [Regression potential]
  The changes might introduce regressions in pinning. The pinning 
implementation in trusty is substantially different from the other releases, 
and should thus require more testing.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814727/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815761] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815761

Title:
  Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have
  to be invoked

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Dpkg::Post-Invoke is run only when dpkg had to be run. We'd like to be able 
to show some extra output even if no changes had been made. Imagine "the user 
disabled the security repo, and does not get any updates shown scenario" - we'd 
like to be able to tell them that there are security updates available after 
all.

  [Test case]
  1. Specify an APT::Install::Post-Invoke-Success hook

  2. Make sure it runs even if there are no changes, using apt upgrade
  -tnow

  [Regression potential]
  No-change upgrades/install can now fail if this new hooks fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815761/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815760] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815760

Title:
  Additional hooks for update

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Invalid
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  We want to write some scripts for apt that run on update if apt shows an 
update count, to provide further details about the new cache.

  [Test case]

  Specify a APT::Update::Post-Invoke-Stats script and check that

  (1) it shows in apt update
  (2) it does not show in apt-get update

  [Regression potential]
  More scripts may fail the update now, but there should not be any registered 
so far.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815760/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814543] Re: deal with EPIPE from json hooks

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.7.4

---
apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:31:46
+0100

** Changed in: apt (Ubuntu Cosmic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814543

Title:
  deal with EPIPE from json hooks

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  json hooks ending with EPIPE on first read fail, but should simply do 
nothing. This causes spurious failures of uninstalled hooks.

  Also, there is a missing error exit, causing errors reported by the
  script to not exit.

  [Test case]
  For the first part, I cannot generate one. This was discovered by snapd ci, 
but I did not find a reproducer yet.

  FWIW, the change should be tiny enough to see that it is not wrong:
  -if (errno != ECONNRESET)
  +if (errno != ECONNRESET && errno != EPIPE)
  _error->Error("Could not read response to hello message from hook 
%s: %s", Opts->Value.c_str(), strerror(errno));

  
  The missing error handling is the next lines:
 else if (strstr(line, "error") != nullptr)
 {
   _error->Error("Hook %s reported an error during hello: %s", 
Opts->Value.c_str(), line); 
  +goto out;
 }

  
  that can be checked:

  sudo apt -o AptCli::Hooks::Install::="/usr/bin/printf '{error should
  be json}\n\n' >&3" install

  
  [Regression potential]
  JSON hooks failures with EPIPE are now ignored, so if it fails with EPIPE for 
other reasons than just exiting, I guess we might miss it

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814543/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814543] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814543

Title:
  deal with EPIPE from json hooks

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  json hooks ending with EPIPE on first read fail, but should simply do 
nothing. This causes spurious failures of uninstalled hooks.

  Also, there is a missing error exit, causing errors reported by the
  script to not exit.

  [Test case]
  For the first part, I cannot generate one. This was discovered by snapd ci, 
but I did not find a reproducer yet.

  FWIW, the change should be tiny enough to see that it is not wrong:
  -if (errno != ECONNRESET)
  +if (errno != ECONNRESET && errno != EPIPE)
  _error->Error("Could not read response to hello message from hook 
%s: %s", Opts->Value.c_str(), strerror(errno));

  
  The missing error handling is the next lines:
 else if (strstr(line, "error") != nullptr)
 {
   _error->Error("Hook %s reported an error during hello: %s", 
Opts->Value.c_str(), line); 
  +goto out;
 }

  
  that can be checked:

  sudo apt -o AptCli::Hooks::Install::="/usr/bin/printf '{error should
  be json}\n\n' >&3" install

  
  [Regression potential]
  JSON hooks failures with EPIPE are now ignored, so if it fails with EPIPE for 
other reasons than just exiting, I guess we might miss it

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814543/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815761] Re: Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have to be invoked

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.7.4

---
apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:31:46
+0100

** Changed in: apt (Ubuntu Cosmic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815761

Title:
  Alternative to Dpkg::Post-Invoke that runs even if dpkg did not have
  to be invoked

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Dpkg::Post-Invoke is run only when dpkg had to be run. We'd like to be able 
to show some extra output even if no changes had been made. Imagine "the user 
disabled the security repo, and does not get any updates shown scenario" - we'd 
like to be able to tell them that there are security updates available after 
all.

  [Test case]
  1. Specify an APT::Install::Post-Invoke-Success hook

  2. Make sure it runs even if there are no changes, using apt upgrade
  -tnow

  [Regression potential]
  No-change upgrades/install can now fail if this new hooks fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815761/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815760] Re: Additional hooks for update

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.7.4

---
apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:31:46
+0100

** Changed in: apt (Ubuntu Cosmic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1815760

Title:
  Additional hooks for update

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Invalid
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  We want to write some scripts for apt that run on update if apt shows an 
update count, to provide further details about the new cache.

  [Test case]

  Specify a APT::Update::Post-Invoke-Stats script and check that

  (1) it shows in apt update
  (2) it does not show in apt-get update

  [Regression potential]
  More scripts may fail the update now, but there should not be any registered 
so far.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1815760/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814727] Re: Backport never pinning and Packages-Require-Authorization

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.7.4

---
apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:31:46
+0100

** Changed in: apt (Ubuntu Cosmic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1814727

Title:
  Backport never pinning and Packages-Require-Authorization

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  These are not driven from a direct user experience, but are related to other 
developments:

  (1) unattended-upgrades could use the never pinning to disable
  repositories rather than switching candidates. That would simplify
  code quite a bit.

  (2) Packages-Require-Authorization lets a repository declare that
  downloading packages from it requires authorization. This is useful
  both for private repositories, as it can prevent unattended-upgrades
  failures if you remove authorization info; and it also allows creating
  a new form of semi-private repository, where only pool/ requires
  authorization.

  [Test case]
  Tests are included in autopkgtests and cover the common scenarios
  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-packages-require-authorization:
  (1) Add repository with Packages-Require-Authorization and no auth.conf 
entry: pin -32768
  (2) Add repository with Packages-Require-Authorization and a auth.conf entry: 
pin 500
  (3) As (2), but a custom pin still applies

  
https://salsa.debian.org/apt-team/apt/blob/master/test/integration/test-policy-pinning#L365
  (1) Test that Pin-Priority: never overrides both per-package pins and 
per-repository pins
  (2) Test that Pin-Priority: never is only applied for per-repository 
(Package: *) pins

  [Regression potential]
  The changes might introduce regressions in pinning. The pinning 
implementation in trusty is substantially different from the other releases, 
and should thus require more testing.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1814727/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1818996] Update Released

2019-03-21 Thread Łukasz Zemczak
The verification of the Stable Release Update for apt has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1818996

Title:
  auth.conf.d directory missing

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  apt in disco and the current set of SRUs introduce support for .conf snippets 
in auth.conf.d, but accidentally did not introduce the auth.conf.d directory, 
making it hard to discover if support for it exists, and requiring users to 
create the dir if it is missing - that's bad UX.

  [Test case]
  Install apt, make sure /etc/apt/auth.conf.d exists

  [Regression potential]
  It's just a directory, what could possibly go wrong?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1818996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1818996] Re: auth.conf.d directory missing

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package apt - 1.7.4

---
apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
(LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode   Mon, 11 Mar 2019 10:31:46
+0100

** Changed in: apt (Ubuntu Cosmic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1818996

Title:
  auth.conf.d directory missing

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Trusty:
  Fix Committed
Status in apt source package in Xenial:
  Fix Committed
Status in apt source package in Bionic:
  Fix Committed
Status in apt source package in Cosmic:
  Fix Released
Status in apt source package in Disco:
  Fix Released

Bug description:
  [Impact]
  apt in disco and the current set of SRUs introduce support for .conf snippets 
in auth.conf.d, but accidentally did not introduce the auth.conf.d directory, 
making it hard to discover if support for it exists, and requiring users to 
create the dir if it is missing - that's bad UX.

  [Test case]
  Install apt, make sure /etc/apt/auth.conf.d exists

  [Regression potential]
  It's just a directory, what could possibly go wrong?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1818996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1787956] Re: Network Manager overrides saved password with 2FA temporary code

2019-03-21 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: network-manager (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1787956

Title:
  Network Manager overrides saved password with 2FA temporary code

Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  Set up OpenVPN with MFA.

  Connect, and enter MFA code when prompted.

  Disconnect and reconnect

  Expected: Password portion is saved and reused

  Actual: The MFA code is saved in the password field and attempted
  first, then prompted for PW.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: network-manager 1.10.6-2ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-30.32-generic 4.15.18
  Uname: Linux 4.15.0-30-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Aug 20 09:49:23 2018
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2018-06-07 (74 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/usr/bin/fish
  RfKill:
   
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.10.6   connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1787956/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817903] Re: systemd-resolve appends "options edns0" to resolv.conf

2019-03-21 Thread Steve Roberts
I have installed 1.79ubunbtu10.18.04.3 from the bionic-proposed and
rebooted...

The result is different from before

$ cat /etc/resolv.conf 
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
# 127.0.0.53 is the systemd-resolved stub resolver.
# run systemd-resolve --status to see details about the actual 
nameservers.

nameserver 192.168.2.1
nameserver 127.0.0.53

In previous fix 127.0.0.53 was not present

$ systemd-resolve --status
Global
 DNS Servers: 192.168.2.1
  DNSSEC NTA: 10.in-addr.arpa
  16.172.in-addr.arpa
  168.192.in-addr.arpa
...

All seems to be working as expected.

** Tags removed: verification-needed-bionic
** Tags added: verification-done-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1817903

Title:
  systemd-resolve appends "options edns0" to resolv.conf

Status in resolvconf package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Invalid
Status in resolvconf source package in Trusty:
  Invalid
Status in systemd source package in Trusty:
  Invalid
Status in resolvconf source package in Xenial:
  Invalid
Status in systemd source package in Xenial:
  Invalid
Status in resolvconf source package in Bionic:
  Fix Committed
Status in systemd source package in Bionic:
  Invalid
Status in resolvconf source package in Cosmic:
  Fix Committed
Status in systemd source package in Cosmic:
  Invalid
Status in resolvconf source package in Disco:
  Fix Released
Status in systemd source package in Disco:
  Invalid

Bug description:
  [impact]

  systems upgraded from pre-Bionic releases to Bionic or later will
  continue to use ifupdown/resolvconf for network conf and management,
  but resolvconf has a new systemd service in Bionic and later that
  pulls systemd-resolved stub-resolv.conf into its local configuration.
  With the recent addition of edns0 option to the stub resolver conf in
  systemd to fix bug 1811471, this means resolvconf now sets up the
  /etc/resolv.conf file to include upstream servers but also use edns.
  For any systems where the upstream resolver(s) don't support edns, dns
  lookups will break.

  [test case]

  == upgrade from pre-bionic (e.g. xenial) to bionic or later ==

  1) create a xenial system with ifupdown/resolvconf.  The ifupdown
  config needs to include an upstream name server (must be static).  At
  this point, once the network is configured and up, the resolvconf
  should have put the upstream name server(s) and search domain into the
  /etc/resolv.conf.  As is usual for pre-systemd releases, there should
  be no local dns resolver in /etc/resolv.conf (i.e. 127.0.0.53 should
  not be included) at this point.

  2) upgrade the system to bionic (alternately it should be possible to install 
bionic, then remove netplan and install/configure ifupdown and resolvconf, but 
I have not specifically tested this).  The upgrade will retain the 
ifupdown/resolvconf configuration, and will not change to 
netplan/systemd-networkd.  After upgrade is finished, the /etc/resolv.conf will 
contain:
    a) the upstream name server(s)
    b) options edns0
    c) the local stub resolver (127.0.0.53)
    d) search domain

  the fixed resolvconf will remove (b).

  As mentioned, this case also should cover the situation of a native
  Bionic install, where netplan is removed and ifupdown/resolvconf is
  manually installed.

  == bionic or later install ==

  with a bionic install, ifupdown is not installed, instead netplan
  /systemd-networkd handle networking.  In this case, systemd-networkd
  manages the /etc/resolv.conf, and symlinks it to networkd's stub-
  resolv.conf which always contains only the local stub resolver
  (127.0.0.53) and (recently) options edns0, and local search domain.

  If resolvconf is installed while systemd-networkd is managing the
  network, then currently the resolv.conf contents will remain
  completely unchanged, still pointing to the local stub resolver.

  This resolvconf change will alter that, to remove 'options edns0'.  No
  other changes will be made from the stub-resolv.conf.

  [regression potential]

  Regressions due to this change would likely be seen in dns query
  failures with other system configurations.

  This will cause systems with resolvconf installed to lose the fix from
  bug 1811471, and again experience that bug.

  [other info]

  This affects only Bionic and later; in Xenial and earlier, systemd
  does not handle dns, and the 'edns0' option was not added to that
  systemd-resolved anyway.

  This also does not affect Debian, as it does not include the
  'resolvconf-pull-resolved' service either.

  original description:

  --

  Mint 19 (Ubuntu 18.04)

  Following latest mint update done on 24/02/2019, DNS is broken

  

[Touch-packages] [Bug 1821160] Re: Desktop freezes refuses input

2019-03-21 Thread Daniel van Vugt
> I release the mouse with rigt Ctrl, that shows to pointer and I can
move it. But click does not work.

Does clicking not work on just app windows, or on the gnome shell panels
too?


** Tags added: noclick

** Package changed: xorg (Ubuntu) => gnome-shell (Ubuntu)

** Changed in: gnome-shell (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1821160

Title:
  Desktop freezes refuses input

Status in gnome-shell package in Ubuntu:
  Incomplete

Bug description:
  At random intervals desktop freezes. mouse does not function. Sometimes 
Alt+Tab works.
  I use virtualbox. Sometimes it captures the mouse and dont release it, and it 
take a few seconds to recognise that.
  I release the mouse with rigt Ctrl, that shows to pointer and I can move it.
  But click does not work.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 4.18.0-16.17~18.04.1-generic 4.18.20
  Uname: Linux 4.18.0-16-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Mar 21 12:34:51 2019
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GpuHangFrequency: Several times a week
  GpuHangReproducibility: Seems to happen randomly
  GpuHangStarted: Immediately after installing this version of Ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] RV710 [Radeon HD 4350/4550] 
[1002:954f] (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. RV710 [Radeon HD 4350/4550] [1043:0274]
  InstallationDate: Installed on 2019-03-16 (4 days ago)
  InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 
(20190210)
  MachineType: System manufacturer System Product Name
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-16-generic 
root=UUID=3b8dc91d-1d7d-412f-ba84-ebeb03723557 ro quiet splash vt.handoff=1
  SourcePackage: xorg
  Symptom: display
  Title: Xorg freeze
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/08/2012
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1101
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: P5G41T-M LX
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1101:bd06/08/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5G41T-MLX:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.95-1~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1~18.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1~18.04.2
  version.xserver-xorg-core: xserver-xorg-core N/A
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1821160/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1813587] Re: libunistring ftbfs on 18.04 LTS

2019-03-21 Thread Gianfranco Costamagna
I uploaded the upstream patch in the unapproved queue, thanks!

** Changed in: libunistring (Ubuntu Bionic)
 Assignee: Jeremy Bicha (jbicha) => Gianfranco Costamagna 
(costamagnagianfranco)

** Summary changed:

- libunistring ftbfs on 18.04 LTS
+ libunistring and libidn ftbfs on 18.04 LTS

** Also affects: libidn (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: libidn (Ubuntu)
   Status: New => Fix Released

** Changed in: libidn (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: libidn (Ubuntu Bionic)
 Assignee: (unassigned) => Gianfranco Costamagna (costamagnagianfranco)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libunistring in Ubuntu.
https://bugs.launchpad.net/bugs/1813587

Title:
  libunistring and libidn ftbfs on 18.04 LTS

Status in libidn package in Ubuntu:
  Fix Released
Status in libunistring package in Ubuntu:
  Fix Released
Status in libidn source package in Bionic:
  In Progress
Status in libunistring source package in Bionic:
  In Progress
Status in libunistring package in Debian:
  Won't Fix

Bug description:
  Impact
  --
  libunistring doesn't build from source which means someone would need to fix 
that problem before fixing any bugs in the libunistring package for Ubuntu 
18.04 LTS.

  Test Case
  -
  Does libunistring build successfully?

  Regression Potential
  
  We are simply backporting the workaround we applied in Ubuntu 18.10.

  Original Bug Report
  ---
  according to
  
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20181222-bionic.html

  libunistring ftbfs.

  FAIL: test-thread_create
  

  glthread_create failed
  FAIL test-thread_create (exit status: 1)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libidn/+bug/1813587/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1808671] Re: Drop non working scopes

2019-03-21 Thread Launchpad Bug Tracker
This bug was fixed in the package libunity -
7.1.4+19.04.20190319-0ubuntu1

---
libunity (7.1.4+19.04.20190319-0ubuntu1) disco; urgency=medium

  [ Khurshid Alam ]
  * Fix diffmodel tests against glib 2.59.3

  [ Rico Tzschichholz ]
  * Those changes are required to build with vala 0.43.x

  [ Robert Ancell ]
  * Update deprecated tag to recent format

 -- i...@orangesquash.org.uk (i...@orangesquash.org.uk)  Tue, 19 Mar
2019 10:18:44 +

** Changed in: libunity (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libunity in Ubuntu.
https://bugs.launchpad.net/bugs/1808671

Title:
  Drop non working scopes

Status in libunity package in Ubuntu:
  Fix Released

Bug description:
  Many online scopes and lenses are not working anymore. So drop them
  from recommends. And tomboy is going to be removed from debian so use
  gnote instead of tomboy.

  unity-gnote-scope: https://launchpad.net/unity-scope-gnote

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libunity/+bug/1808671/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-21 Thread Gianfranco Costamagna
In the same way, I'm uploading a fix for libidn, I think it is really
better to have as-needed used for the binary size, so better use the
upstream patch and revert the package currently in updates.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libidn in Ubuntu.
https://bugs.launchpad.net/bugs/1813587

Title:
  libunistring and libidn ftbfs on 18.04 LTS

Status in libidn package in Ubuntu:
  Fix Released
Status in libunistring package in Ubuntu:
  Fix Released
Status in libidn source package in Bionic:
  In Progress
Status in libunistring source package in Bionic:
  In Progress
Status in libunistring package in Debian:
  Won't Fix

Bug description:
  Impact
  --
  libunistring doesn't build from source which means someone would need to fix 
that problem before fixing any bugs in the libunistring package for Ubuntu 
18.04 LTS.

  Test Case
  -
  Does libunistring build successfully?

  Regression Potential
  
  We are simply backporting the workaround we applied in Ubuntu 18.10.

  Original Bug Report
  ---
  according to
  
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20181222-bionic.html

  libunistring ftbfs.

  FAIL: test-thread_create
  

  glthread_create failed
  FAIL test-thread_create (exit status: 1)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libidn/+bug/1813587/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1821160] [NEW] Desktop freezes refuses input

2019-03-21 Thread Recep GUCLUER
Public bug reported:

At random intervals desktop freezes. mouse does not function. Sometimes Alt+Tab 
works.
I use virtualbox. Sometimes it captures the mouse and dont release it, and it 
take a few seconds to recognise that.
I release the mouse with rigt Ctrl, that shows to pointer and I can move it.
But click does not work.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu7.1
ProcVersionSignature: Ubuntu 4.18.0-16.17~18.04.1-generic 4.18.20
Uname: Linux 4.18.0-16-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Thu Mar 21 12:34:51 2019
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GpuHangFrequency: Several times a week
GpuHangReproducibility: Seems to happen randomly
GpuHangStarted: Immediately after installing this version of Ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RV710 [Radeon HD 4350/4550] [1002:954f] 
(prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. RV710 [Radeon HD 4350/4550] [1043:0274]
InstallationDate: Installed on 2019-03-16 (4 days ago)
InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
MachineType: System manufacturer System Product Name
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-16-generic 
root=UUID=3b8dc91d-1d7d-412f-ba84-ebeb03723557 ro quiet splash vt.handoff=1
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/08/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1101
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5G41T-M LX
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1101:bd06/08/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5G41T-MLX:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: System Product Name
dmi.product.sku: To Be Filled By O.E.M.
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.95-1~18.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1~18.04.2
version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1~18.04.2
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic freeze ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1821160

Title:
  Desktop freezes refuses input

Status in xorg package in Ubuntu:
  New

Bug description:
  At random intervals desktop freezes. mouse does not function. Sometimes 
Alt+Tab works.
  I use virtualbox. Sometimes it captures the mouse and dont release it, and it 
take a few seconds to recognise that.
  I release the mouse with rigt Ctrl, that shows to pointer and I can move it.
  But click does not work.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 4.18.0-16.17~18.04.1-generic 4.18.20
  Uname: Linux 4.18.0-16-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Mar 21 12:34:51 2019
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GpuHangFrequency: Several times a week
  GpuHangReproducibility: Seems to happen randomly
  GpuHangStarted: Immediately after installing this version of Ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] RV710 [Radeon HD 4350/4550] 
[1002:954f] (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. RV710 [Radeon HD 4350/4550] [1043:0274]
  InstallationDate: Installed on 2019-03-16 (4 days ago)
  InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 
(20190210)
  MachineType: System manufacturer System Product Name
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-16-generic 

[Touch-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2019-03-21 Thread Gianfranco Costamagna
https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=cca32830b57e91f837c01d15b8732f23ff97fc36
Upstream fix

** Changed in: libidn (Ubuntu)
   Status: New => Fix Released

** Changed in: libunistring (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libidn in Ubuntu.
https://bugs.launchpad.net/bugs/1340250

Title:
  "#pragma weak" symbol is 0 even when defined

Status in binutils package in Ubuntu:
  Invalid
Status in gcc-defaults package in Ubuntu:
  Invalid
Status in libidn package in Ubuntu:
  Fix Released
Status in libunistring package in Ubuntu:
  Fix Released

Bug description:
  This compiler bug is making the gnulib tests dump core; see:

  http://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00039.html

  Compile and run the following program t.c with the shell commands "gcc
  u.c -lm; ./a.out; echo $?"

  #include 
  #pragma weak tgamma

  int
  main (void)
  {
if (!tgamma)
  return 2;
if (tgamma (1) == 1)
  return 0;
return 1;
  }

  The program will exit with status 2.  It should exit with status 0,
  because the math library does have a tgamma function and the function
  pointer should be non-null.

  I observe this problem with Ubuntu 14.04 x86-64 (GCC Ubuntu
  4.8.2-19ubuntu1), but not on Fedora 20 or on RHEL 6.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gcc 4:4.8.2-1ubuntu6
  ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Jul 10 07:39:11 2014
  InstallationDate: Installed on 2012-12-21 (566 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gcc-defaults
  UpgradeStatus: Upgraded to trusty on 2014-04-18 (83 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1340250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1806458] Re: Intel I219-V ethernet connection lost

2019-03-21 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: systemd (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1806458

Title:
  Intel I219-V ethernet connection lost

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  Ethernet connection id dropped randomly, sometimes works fine for the whole 
day, sometimes the connection falls 2 or 3 times i a hour. I'm reporting this 
bug being unable to add usable info to 
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1785171 that seems similar.
  I have the problem with Ubuntu 18.10 with standard kernel and with 19.04 with 
standard (4.18.0-11) and with 4.20.0-042000rc4 mainline kernel.
  When the connection drops i can restart it just closing and restarting the 
net.
  Problem: when the connection is dropped and i run 'ubuntu-bug systemd' i'm 
forced to do reconnect to send the doc.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: systemd 239-7ubuntu14
  Uname: Linux 4.20.0-042000rc4-generic x86_64
  ApportVersion: 2.20.10-0ubuntu14
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Dec  3 18:33:12 2018
  InstallationDate: Installed on 2018-11-07 (26 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181107)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
   Bus 001 Device 002: ID 058f:6377 Alcor Micro Corp. AU6375 4-LUN card reader
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.20.0-042000rc4-generic 
root=UUID=841241bf-e35d-4dee-a750-dac4a9bda901 ro quiet splash
  SourcePackage: systemd
  SystemdDelta:
   [EXTENDED]   /usr/lib/systemd/system/rc-local.service → 
/usr/lib/systemd/system/rc-local.service.d/debian.conf
   [EXTENDED]   /usr/lib/systemd/system/user@.service → 
/usr/lib/systemd/system/user@.service.d/timeout.conf
   
   2 overridden configuration files found.
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/11/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.10
  dmi.board.name: H110M-G/M.2
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd05/11/2017:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH110M-G/M.2:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.10-0ubuntu14
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 19.04
  InstallationDate: Installed on 2018-11-07 (26 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181107)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
   Bus 001 Device 002: ID 058f:6377 Alcor Micro Corp. AU6375 4-LUN card reader
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  Package: systemd 239-7ubuntu14
  PackageArchitecture: amd64
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-11-generic 
root=UUID=841241bf-e35d-4dee-a750-dac4a9bda901 ro quiet splash
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  SystemdDelta:
   [EXTENDED]   /usr/lib/systemd/system/rc-local.service → 
/usr/lib/systemd/system/rc-local.service.d/debian.conf
   [EXTENDED]   /usr/lib/systemd/system/user@.service → 
/usr/lib/systemd/system/user@.service.d/timeout.conf
   
   2 overridden configuration files found.
  Tags:  wayland-session disco
  Uname: Linux 4.18.0-11-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 05/11/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.10
  dmi.board.name: H110M-G/M.2
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd05/11/2017:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH110M-G/M.2:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By 

Re: [Touch-packages] [Bug 1821022] Re: [To Be Filled By O.E.M., Realtek ALC662 rev1, Green Line Out, Rear] No sound at all

2019-03-21 Thread nicola
No I removed timidity, restart the computer, enabled headphone mm in alsamixer, 
but cannot head any sound and alsactl monitor does not output anyrhing. I 
recently updated kernel ti 4.15 also posting a new bug with same problem.
Il giovedì 21 marzo 2019, 03:20:46 CET, Daniel van Vugt 
 ha scritto:  
 
 It looks like this might be a case of bug 1793640.

Please uninstall timidity and timidity-related packages, then tell us if
the problem persists.

** Changed in: alsa-driver (Ubuntu)
      Status: New => Incomplete

-- 
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1821022

Title:
  [To Be Filled By O.E.M., Realtek ALC662 rev1, Green Line Out, Rear] No
  sound at all

Status in alsa-driver package in Ubuntu:
  Incomplete

Bug description:
  he problem occurs even on live xubuntu 18.04 17.10 16.04 even modifying 
alsa-base in options snd-hda-intel model=auto or options snd-hda-intel 
model=asrock-mobo or options snd-hda-intel model=generic.; all on board audio 
port are shown as unplugged. Thus HDMI of the Nvidia GTX 1050ti seems to work 
perfectly when I connected to TV HDMI input (but could not steal TV 4 ever)
  
https://forum.ubuntuusers.de/topic/alc662-kein-ton-von-asrock-fm2a75m-dgs/2/#post-9058858
  https://streamable.com/5j96k

  
  BIOS setting in the video above

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-46.49-generic 4.15.18
  Uname: Linux 4.15.0-46-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  AudioDevicesInUse:
  USER        PID ACCESS COMMAND
  /dev/snd/controlC1:  hp        1577 F pulseaudio
  /dev/snd/controlC0:  hp        1577 F pulseaudio
  CurrentDesktop: XFCE
  Date: Wed Mar 20 15:42:37 2019
  InstallationDate: Installed on 2016-09-07 (923 days ago)
  InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageArchitecture: all
  ProcEnviron:
  LANGUAGE=it
  PATH=(custom, no user)
  XDG_RUNTIME_DIR=
  LANG=it_IT.UTF-8
  SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Generic failed
  Symptom_Card: Audio interno - HD-Audio Generic
  Symptom_DevicesInUse:
  USER        PID ACCESS COMMAND
  /dev/snd/controlC1:  hp        1577 F pulseaudio
  /dev/snd/controlC0:  hp        1577 F pulseaudio
  /dev/snd/seq:        timidity  1083 F timidity
  Symptom_Jack: Green Line Out, Rear
  Symptom_Type: No sound at all
  Title: [To Be Filled By O.E.M., Realtek ALC662 rev1, Green Line Out, Rear] No 
sound at all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/01/2016
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P2.70
  dmi.board.name: FM2A75M-DGS
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP2.70:bd12/01/2016:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnFM2A75M-DGS:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.
  modified.conffile..etc.modprobe.d.alsa-base.conf:
  #options snd-hda-intel model=3stack-6ch
  mtime.conffile..etc.modprobe.d.alsa-base.conf: 2019-03-19T20:25:47.409210

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1821022/+subscriptions

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1821022

Title:
  [To Be Filled By O.E.M., Realtek ALC662 rev1, Green Line Out, Rear] No
  sound at all

Status in alsa-driver package in Ubuntu:
  Incomplete

Bug description:
  he problem occurs even on live xubuntu 18.04 17.10 16.04 even modifying 
alsa-base in options snd-hda-intel model=auto or options snd-hda-intel 
model=asrock-mobo or options snd-hda-intel model=generic.; all on board audio 
port are shown as unplugged. Thus HDMI of the Nvidia GTX 1050ti seems to work 
perfectly when I connected to TV HDMI input (but could not steal TV 4 ever)
  
https://forum.ubuntuusers.de/topic/alc662-kein-ton-von-asrock-fm2a75m-dgs/2/#post-9058858
  https://streamable.com/5j96k

  
  BIOS setting in the video above

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-46.49-generic 4.15.18
  Uname: Linux 4.15.0-46-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.9-0ubuntu7.6
  Architecture: amd64
  AudioDevicesInUse:
   USER 

[Touch-packages] [Bug 1817225] Re: 18.04.2 breaks xrdp

2019-03-21 Thread Daniel van Vugt
** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1817225

Title:
  18.04.2 breaks xrdp

Status in linux package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  New
Status in xrdp package in Ubuntu:
  New

Bug description:
  I have observed the following on two different computers:

  On both computers, running Ubuntu 18.04, I am able to install xrdp and
  log in remotely using a third computer via Reminna or Windows RDP
  client without any problems.

  If I do a fresh install of Ubuntu 18.04.2 and install xrdp OR if I
  update my working 18.04 installation by running

  sudo apt-get install --install-recommends linux-generic-hwe-18.04
  xserver-xorg-hwe-18.04

  then xrdp stops working. That is, when I login using an RDP client, I
  am presented with the xrdp login screen, but when I select xorg and
  try to login with my username and password, I see a blue screen for
  about a minute and then

  connecting to sesman ip 127.0.0.1
  sesman connect ok
  sending login info to session manager, please wait...
  login successful for display 10
  started connecting
  connection problem, giving up
  some problem

  The only difference between the working configuration and the broken
  one is Ubuntu 18.04 vs 18.04.2 (OR HWE installed using the above
  command).

  Out of the two computers I tried one has nvidia graphics and one has
  intel on-board graphics. For the nvidia computer, I tried both nvidia
  and nouveau drivers to no avail.

  Not sure if this is a problem with xrdp or xorg.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  rushik 4016 F pulseaudio
   /dev/snd/controlC1:  rushik 4016 F pulseaudio
   /dev/snd/controlC0:  rushik 4016 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 18.04
  HibernationDevice: RESUME=UUID=007a0916-b97e-4f06-b096-9694f8b3085c
  InstallationDate: Installed on 2019-01-11 (41 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  MachineType: System manufacturer System Product Name
  Package: linux (not installed)
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-15-generic 
root=UUID=5c3c3434-9b1d-40dd-8388-8005cf88989e ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.18.0-15.16~18.04.1-generic 4.18.20
  RelatedPackageVersions:
   linux-restricted-modules-4.18.0-15-generic N/A
   linux-backports-modules-4.18.0-15-generic  N/A
   linux-firmware 1.173.3
  Tags:  bionic
  Uname: Linux 4.18.0-15-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 01/04/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 0802
  dmi.board.asset.tag: Default string
  dmi.board.name: ROG STRIX Z390-E GAMING
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Default string
  dmi.chassis.type: 3
  dmi.chassis.vendor: Default string
  dmi.chassis.version: Default string
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr0802:bd01/04/2019:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnROGSTRIXZ390-EGAMING:rvrRev1.xx:cvnDefaultstring:ct3:cvrDefaultstring:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: ASUS_MB_CNL
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817225/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1817225] Re: 18.04.2 breaks xrdp

2019-03-21 Thread Kai-Heng Feng
** Also affects: xrdp (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: xorg (Ubuntu)
   Importance: Undecided
   Status: New

** No longer affects: xorg-hwe-18.04 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1817225

Title:
  18.04.2 breaks xrdp

Status in linux package in Ubuntu:
  Confirmed
Status in xorg package in Ubuntu:
  New
Status in xrdp package in Ubuntu:
  New

Bug description:
  I have observed the following on two different computers:

  On both computers, running Ubuntu 18.04, I am able to install xrdp and
  log in remotely using a third computer via Reminna or Windows RDP
  client without any problems.

  If I do a fresh install of Ubuntu 18.04.2 and install xrdp OR if I
  update my working 18.04 installation by running

  sudo apt-get install --install-recommends linux-generic-hwe-18.04
  xserver-xorg-hwe-18.04

  then xrdp stops working. That is, when I login using an RDP client, I
  am presented with the xrdp login screen, but when I select xorg and
  try to login with my username and password, I see a blue screen for
  about a minute and then

  connecting to sesman ip 127.0.0.1
  sesman connect ok
  sending login info to session manager, please wait...
  login successful for display 10
  started connecting
  connection problem, giving up
  some problem

  The only difference between the working configuration and the broken
  one is Ubuntu 18.04 vs 18.04.2 (OR HWE installed using the above
  command).

  Out of the two computers I tried one has nvidia graphics and one has
  intel on-board graphics. For the nvidia computer, I tried both nvidia
  and nouveau drivers to no avail.

  Not sure if this is a problem with xrdp or xorg.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  rushik 4016 F pulseaudio
   /dev/snd/controlC1:  rushik 4016 F pulseaudio
   /dev/snd/controlC0:  rushik 4016 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 18.04
  HibernationDevice: RESUME=UUID=007a0916-b97e-4f06-b096-9694f8b3085c
  InstallationDate: Installed on 2019-01-11 (41 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  MachineType: System manufacturer System Product Name
  Package: linux (not installed)
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-15-generic 
root=UUID=5c3c3434-9b1d-40dd-8388-8005cf88989e ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.18.0-15.16~18.04.1-generic 4.18.20
  RelatedPackageVersions:
   linux-restricted-modules-4.18.0-15-generic N/A
   linux-backports-modules-4.18.0-15-generic  N/A
   linux-firmware 1.173.3
  Tags:  bionic
  Uname: Linux 4.18.0-15-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 01/04/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 0802
  dmi.board.asset.tag: Default string
  dmi.board.name: ROG STRIX Z390-E GAMING
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Default string
  dmi.chassis.type: 3
  dmi.chassis.vendor: Default string
  dmi.chassis.version: Default string
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr0802:bd01/04/2019:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnROGSTRIXZ390-EGAMING:rvrRev1.xx:cvnDefaultstring:ct3:cvrDefaultstring:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: ASUS_MB_CNL
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817225/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp